import express, { Request, Response } from "express";
import { authRouter } from "./auth.route";
import { authenticate } from "../middlewares";
import { testRouter } from "./test.route";
import { changeLogRouter } from "./changeLog.route";
import { authorizeApplication } from "../middlewares/authorizeApplication";
import { fileUploadRouter } from "./fileUpload.route";
import { userRouter } from "./user.route";
import { dashboardRouter } from "./dashboard.route";

export const mainRouter = express.Router();

mainRouter.use("/auth", authRouter);
mainRouter.use("/user", authenticate, userRouter);
mainRouter.use("/dashboard", authenticate, dashboardRouter);
mainRouter.use("/file-upload", authenticate,fileUploadRouter);

mainRouter.use("/dev-test", authenticate, testRouter);
mainRouter.use("/log", authenticate, changeLogRouter);
