import admin from "firebase-admin";
const serviceAccount = require('../serviceAccountKey.json');

export const sendFirebaseNotification = async (fcmToken: string ,title:string,body: string) => {
  
  const message = {
    data: {
      title: title,
      body: body
    },
    token: fcmToken
  };
  admin.messaging().send(message)
    .then((response) => {
      console.log('Notification sent:', response);
    })
    .catch((error) => {
      console.error('Error sending notification:', error);
    })

  admin.initializeApp({
    credential: admin.credential.cert(serviceAccount)
  });
}