import { Country } from "@prisma/client";
import { generateOTP } from "../utils/general";
import { db } from "../db";
import { Twilio } from "twilio";

export const verifySmsSend = async (
  phoneNumber: number,
  country: Country,
  userId: string
) => {
  const otp = generateOTP();
  // let countryCode = "+1";
  // switch (country) {
  //   case "IND":
  //     countryCode = "+91";
  //     break;
  //   case "USA":
  //     countryCode = "+1";
  //     break;
  // }

  const resSave = await db.verifyPhone.create({
    data: {
      phone: `${phoneNumber}`,
      otp: otp,
      UserId: userId,
    },
  });

  //   SEND OTP
  const content = `Your  OTP Is ${otp}`
  sendSMS(`${phoneNumber}`,content)

  return { verifyId: resSave.id, otp: resSave.otp };
};

export const sendSMS = async (to:string,content:string) =>{
  const accountSid = process.env.TWILIO_ACCOUNT_SID;
  const authToken = process.env.TWILIO_AUTH_TOKEN;
  const TWILIO_NUMBER = process.env.TWILIO_NUMBER;
  const client = new Twilio(accountSid, authToken);

  const message = await client.messages.create({
    body: content,
    from: TWILIO_NUMBER,
    to: to,
  });

  console.log(message.body);
}