
/**
 * Client
**/

import * as runtime from '@prisma/client/runtime/library.js';
import $Types = runtime.Types // general types
import $Public = runtime.Types.Public
import $Utils = runtime.Types.Utils
import $Extensions = runtime.Types.Extensions
import $Result = runtime.Types.Result

export type PrismaPromise<T> = $Public.PrismaPromise<T>


/**
 * Model Users
 * 
 */
export type Users = $Result.DefaultSelection<Prisma.$UsersPayload>
/**
 * Model VerifyEmail
 * 
 */
export type VerifyEmail = $Result.DefaultSelection<Prisma.$VerifyEmailPayload>
/**
 * Model ResetPassword
 * 
 */
export type ResetPassword = $Result.DefaultSelection<Prisma.$ResetPasswordPayload>
/**
 * Model VerifyPhone
 * 
 */
export type VerifyPhone = $Result.DefaultSelection<Prisma.$VerifyPhonePayload>
/**
 * Model DeviceInfo
 * 
 */
export type DeviceInfo = $Result.DefaultSelection<Prisma.$DeviceInfoPayload>
/**
 * Model ChangeLog
 * 
 */
export type ChangeLog = $Result.DefaultSelection<Prisma.$ChangeLogPayload>

/**
 * Enums
 */
export namespace $Enums {
  export const Gender: {
  MALE: 'MALE',
  FEMALE: 'FEMALE',
  NOT_SPECIFY: 'NOT_SPECIFY'
};

export type Gender = (typeof Gender)[keyof typeof Gender]


export const UserRole: {
  DEFAULT: 'DEFAULT',
  ADMIN: 'ADMIN'
};

export type UserRole = (typeof UserRole)[keyof typeof UserRole]

}

export type Gender = $Enums.Gender

export const Gender: typeof $Enums.Gender

export type UserRole = $Enums.UserRole

export const UserRole: typeof $Enums.UserRole

/**
 * ##  Prisma Client ʲˢ
 * 
 * Type-safe database client for TypeScript & Node.js
 * @example
 * ```
 * const prisma = new PrismaClient()
 * // Fetch zero or more Users
 * const users = await prisma.users.findMany()
 * ```
 *
 * 
 * Read more in our [docs](https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-client).
 */
export class PrismaClient<
  ClientOptions extends Prisma.PrismaClientOptions = Prisma.PrismaClientOptions,
  U = 'log' extends keyof ClientOptions ? ClientOptions['log'] extends Array<Prisma.LogLevel | Prisma.LogDefinition> ? Prisma.GetEvents<ClientOptions['log']> : never : never,
  ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs
> {
  [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['other'] }

    /**
   * ##  Prisma Client ʲˢ
   * 
   * Type-safe database client for TypeScript & Node.js
   * @example
   * ```
   * const prisma = new PrismaClient()
   * // Fetch zero or more Users
   * const users = await prisma.users.findMany()
   * ```
   *
   * 
   * Read more in our [docs](https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-client).
   */

  constructor(optionsArg ?: Prisma.Subset<ClientOptions, Prisma.PrismaClientOptions>);
  $on<V extends U>(eventType: V, callback: (event: V extends 'query' ? Prisma.QueryEvent : Prisma.LogEvent) => void): void;

  /**
   * Connect with the database
   */
  $connect(): $Utils.JsPromise<void>;

  /**
   * Disconnect from the database
   */
  $disconnect(): $Utils.JsPromise<void>;

  /**
   * Add a middleware
   * @deprecated since 4.16.0. For new code, prefer client extensions instead.
   * @see https://pris.ly/d/extensions
   */
  $use(cb: Prisma.Middleware): void

/**
   * Allows the running of a sequence of read/write operations that are guaranteed to either succeed or fail as a whole.
   * @example
   * ```
   * const [george, bob, alice] = await prisma.$transaction([
   *   prisma.user.create({ data: { name: 'George' } }),
   *   prisma.user.create({ data: { name: 'Bob' } }),
   *   prisma.user.create({ data: { name: 'Alice' } }),
   * ])
   * ```
   * 
   * Read more in our [docs](https://www.prisma.io/docs/concepts/components/prisma-client/transactions).
   */
  $transaction<P extends Prisma.PrismaPromise<any>[]>(arg: [...P]): $Utils.JsPromise<runtime.Types.Utils.UnwrapTuple<P>>

  $transaction<R>(fn: (prisma: Omit<PrismaClient, runtime.ITXClientDenyList>) => $Utils.JsPromise<R>, options?: { maxWait?: number, timeout?: number }): $Utils.JsPromise<R>

  /**
   * Executes a raw MongoDB command and returns the result of it.
   * @example
   * ```
   * const user = await prisma.$runCommandRaw({
   *   aggregate: 'User',
   *   pipeline: [{ $match: { name: 'Bob' } }, { $project: { email: true, _id: false } }],
   *   explain: false,
   * })
   * ```
   * 
   * Read more in our [docs](https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-client/raw-database-access).
   */
  $runCommandRaw(command: Prisma.InputJsonObject): Prisma.PrismaPromise<Prisma.JsonObject>

  $extends: $Extensions.ExtendsHook<"extends", Prisma.TypeMapCb, ExtArgs>

      /**
   * `prisma.users`: Exposes CRUD operations for the **Users** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more Users
    * const users = await prisma.users.findMany()
    * ```
    */
  get users(): Prisma.UsersDelegate<ExtArgs>;

  /**
   * `prisma.verifyEmail`: Exposes CRUD operations for the **VerifyEmail** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more VerifyEmails
    * const verifyEmails = await prisma.verifyEmail.findMany()
    * ```
    */
  get verifyEmail(): Prisma.VerifyEmailDelegate<ExtArgs>;

  /**
   * `prisma.resetPassword`: Exposes CRUD operations for the **ResetPassword** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more ResetPasswords
    * const resetPasswords = await prisma.resetPassword.findMany()
    * ```
    */
  get resetPassword(): Prisma.ResetPasswordDelegate<ExtArgs>;

  /**
   * `prisma.verifyPhone`: Exposes CRUD operations for the **VerifyPhone** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more VerifyPhones
    * const verifyPhones = await prisma.verifyPhone.findMany()
    * ```
    */
  get verifyPhone(): Prisma.VerifyPhoneDelegate<ExtArgs>;

  /**
   * `prisma.deviceInfo`: Exposes CRUD operations for the **DeviceInfo** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more DeviceInfos
    * const deviceInfos = await prisma.deviceInfo.findMany()
    * ```
    */
  get deviceInfo(): Prisma.DeviceInfoDelegate<ExtArgs>;

  /**
   * `prisma.changeLog`: Exposes CRUD operations for the **ChangeLog** model.
    * Example usage:
    * ```ts
    * // Fetch zero or more ChangeLogs
    * const changeLogs = await prisma.changeLog.findMany()
    * ```
    */
  get changeLog(): Prisma.ChangeLogDelegate<ExtArgs>;
}

export namespace Prisma {
  export import DMMF = runtime.DMMF

  export type PrismaPromise<T> = $Public.PrismaPromise<T>

  /**
   * Validator
   */
  export import validator = runtime.Public.validator

  /**
   * Prisma Errors
   */
  export import PrismaClientKnownRequestError = runtime.PrismaClientKnownRequestError
  export import PrismaClientUnknownRequestError = runtime.PrismaClientUnknownRequestError
  export import PrismaClientRustPanicError = runtime.PrismaClientRustPanicError
  export import PrismaClientInitializationError = runtime.PrismaClientInitializationError
  export import PrismaClientValidationError = runtime.PrismaClientValidationError
  export import NotFoundError = runtime.NotFoundError

  /**
   * Re-export of sql-template-tag
   */
  export import sql = runtime.sqltag
  export import empty = runtime.empty
  export import join = runtime.join
  export import raw = runtime.raw
  export import Sql = runtime.Sql



  /**
   * Decimal.js
   */
  export import Decimal = runtime.Decimal

  export type DecimalJsLike = runtime.DecimalJsLike

  /**
   * Metrics 
   */
  export type Metrics = runtime.Metrics
  export type Metric<T> = runtime.Metric<T>
  export type MetricHistogram = runtime.MetricHistogram
  export type MetricHistogramBucket = runtime.MetricHistogramBucket

  /**
  * Extensions
  */
  export import Extension = $Extensions.UserArgs
  export import getExtensionContext = runtime.Extensions.getExtensionContext
  export import Args = $Public.Args
  export import Payload = $Public.Payload
  export import Result = $Public.Result
  export import Exact = $Public.Exact

  /**
   * Prisma Client JS version: 5.22.0
   * Query Engine version: 605197351a3c8bdd595af2d2a9bc3025bca48ea2
   */
  export type PrismaVersion = {
    client: string
  }

  export const prismaVersion: PrismaVersion 

  /**
   * Utility Types
   */


  export import JsonObject = runtime.JsonObject
  export import JsonArray = runtime.JsonArray
  export import JsonValue = runtime.JsonValue
  export import InputJsonObject = runtime.InputJsonObject
  export import InputJsonArray = runtime.InputJsonArray
  export import InputJsonValue = runtime.InputJsonValue

  /**
   * Types of the values used to represent different kinds of `null` values when working with JSON fields.
   * 
   * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
   */
  namespace NullTypes {
    /**
    * Type of `Prisma.DbNull`.
    * 
    * You cannot use other instances of this class. Please use the `Prisma.DbNull` value.
    * 
    * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
    */
    class DbNull {
      private DbNull: never
      private constructor()
    }

    /**
    * Type of `Prisma.JsonNull`.
    * 
    * You cannot use other instances of this class. Please use the `Prisma.JsonNull` value.
    * 
    * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
    */
    class JsonNull {
      private JsonNull: never
      private constructor()
    }

    /**
    * Type of `Prisma.AnyNull`.
    * 
    * You cannot use other instances of this class. Please use the `Prisma.AnyNull` value.
    * 
    * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
    */
    class AnyNull {
      private AnyNull: never
      private constructor()
    }
  }

  /**
   * Helper for filtering JSON entries that have `null` on the database (empty on the db)
   * 
   * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
   */
  export const DbNull: NullTypes.DbNull

  /**
   * Helper for filtering JSON entries that have JSON `null` values (not empty on the db)
   * 
   * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
   */
  export const JsonNull: NullTypes.JsonNull

  /**
   * Helper for filtering JSON entries that are `Prisma.DbNull` or `Prisma.JsonNull`
   * 
   * @see https://www.prisma.io/docs/concepts/components/prisma-client/working-with-fields/working-with-json-fields#filtering-on-a-json-field
   */
  export const AnyNull: NullTypes.AnyNull

  type SelectAndInclude = {
    select: any
    include: any
  }

  type SelectAndOmit = {
    select: any
    omit: any
  }

  /**
   * Get the type of the value, that the Promise holds.
   */
  export type PromiseType<T extends PromiseLike<any>> = T extends PromiseLike<infer U> ? U : T;

  /**
   * Get the return type of a function which returns a Promise.
   */
  export type PromiseReturnType<T extends (...args: any) => $Utils.JsPromise<any>> = PromiseType<ReturnType<T>>

  /**
   * From T, pick a set of properties whose keys are in the union K
   */
  type Prisma__Pick<T, K extends keyof T> = {
      [P in K]: T[P];
  };


  export type Enumerable<T> = T | Array<T>;

  export type RequiredKeys<T> = {
    [K in keyof T]-?: {} extends Prisma__Pick<T, K> ? never : K
  }[keyof T]

  export type TruthyKeys<T> = keyof {
    [K in keyof T as T[K] extends false | undefined | null ? never : K]: K
  }

  export type TrueKeys<T> = TruthyKeys<Prisma__Pick<T, RequiredKeys<T>>>

  /**
   * Subset
   * @desc From `T` pick properties that exist in `U`. Simple version of Intersection
   */
  export type Subset<T, U> = {
    [key in keyof T]: key extends keyof U ? T[key] : never;
  };

  /**
   * SelectSubset
   * @desc From `T` pick properties that exist in `U`. Simple version of Intersection.
   * Additionally, it validates, if both select and include are present. If the case, it errors.
   */
  export type SelectSubset<T, U> = {
    [key in keyof T]: key extends keyof U ? T[key] : never
  } &
    (T extends SelectAndInclude
      ? 'Please either choose `select` or `include`.'
      : T extends SelectAndOmit
        ? 'Please either choose `select` or `omit`.'
        : {})

  /**
   * Subset + Intersection
   * @desc From `T` pick properties that exist in `U` and intersect `K`
   */
  export type SubsetIntersection<T, U, K> = {
    [key in keyof T]: key extends keyof U ? T[key] : never
  } &
    K

  type Without<T, U> = { [P in Exclude<keyof T, keyof U>]?: never };

  /**
   * XOR is needed to have a real mutually exclusive union type
   * https://stackoverflow.com/questions/42123407/does-typescript-support-mutually-exclusive-types
   */
  type XOR<T, U> =
    T extends object ?
    U extends object ?
      (Without<T, U> & U) | (Without<U, T> & T)
    : U : T


  /**
   * Is T a Record?
   */
  type IsObject<T extends any> = T extends Array<any>
  ? False
  : T extends Date
  ? False
  : T extends Uint8Array
  ? False
  : T extends BigInt
  ? False
  : T extends object
  ? True
  : False


  /**
   * If it's T[], return T
   */
  export type UnEnumerate<T extends unknown> = T extends Array<infer U> ? U : T

  /**
   * From ts-toolbelt
   */

  type __Either<O extends object, K extends Key> = Omit<O, K> &
    {
      // Merge all but K
      [P in K]: Prisma__Pick<O, P & keyof O> // With K possibilities
    }[K]

  type EitherStrict<O extends object, K extends Key> = Strict<__Either<O, K>>

  type EitherLoose<O extends object, K extends Key> = ComputeRaw<__Either<O, K>>

  type _Either<
    O extends object,
    K extends Key,
    strict extends Boolean
  > = {
    1: EitherStrict<O, K>
    0: EitherLoose<O, K>
  }[strict]

  type Either<
    O extends object,
    K extends Key,
    strict extends Boolean = 1
  > = O extends unknown ? _Either<O, K, strict> : never

  export type Union = any

  type PatchUndefined<O extends object, O1 extends object> = {
    [K in keyof O]: O[K] extends undefined ? At<O1, K> : O[K]
  } & {}

  /** Helper Types for "Merge" **/
  export type IntersectOf<U extends Union> = (
    U extends unknown ? (k: U) => void : never
  ) extends (k: infer I) => void
    ? I
    : never

  export type Overwrite<O extends object, O1 extends object> = {
      [K in keyof O]: K extends keyof O1 ? O1[K] : O[K];
  } & {};

  type _Merge<U extends object> = IntersectOf<Overwrite<U, {
      [K in keyof U]-?: At<U, K>;
  }>>;

  type Key = string | number | symbol;
  type AtBasic<O extends object, K extends Key> = K extends keyof O ? O[K] : never;
  type AtStrict<O extends object, K extends Key> = O[K & keyof O];
  type AtLoose<O extends object, K extends Key> = O extends unknown ? AtStrict<O, K> : never;
  export type At<O extends object, K extends Key, strict extends Boolean = 1> = {
      1: AtStrict<O, K>;
      0: AtLoose<O, K>;
  }[strict];

  export type ComputeRaw<A extends any> = A extends Function ? A : {
    [K in keyof A]: A[K];
  } & {};

  export type OptionalFlat<O> = {
    [K in keyof O]?: O[K];
  } & {};

  type _Record<K extends keyof any, T> = {
    [P in K]: T;
  };

  // cause typescript not to expand types and preserve names
  type NoExpand<T> = T extends unknown ? T : never;

  // this type assumes the passed object is entirely optional
  type AtLeast<O extends object, K extends string> = NoExpand<
    O extends unknown
    ? | (K extends keyof O ? { [P in K]: O[P] } & O : O)
      | {[P in keyof O as P extends K ? K : never]-?: O[P]} & O
    : never>;

  type _Strict<U, _U = U> = U extends unknown ? U & OptionalFlat<_Record<Exclude<Keys<_U>, keyof U>, never>> : never;

  export type Strict<U extends object> = ComputeRaw<_Strict<U>>;
  /** End Helper Types for "Merge" **/

  export type Merge<U extends object> = ComputeRaw<_Merge<Strict<U>>>;

  /**
  A [[Boolean]]
  */
  export type Boolean = True | False

  // /**
  // 1
  // */
  export type True = 1

  /**
  0
  */
  export type False = 0

  export type Not<B extends Boolean> = {
    0: 1
    1: 0
  }[B]

  export type Extends<A1 extends any, A2 extends any> = [A1] extends [never]
    ? 0 // anything `never` is false
    : A1 extends A2
    ? 1
    : 0

  export type Has<U extends Union, U1 extends Union> = Not<
    Extends<Exclude<U1, U>, U1>
  >

  export type Or<B1 extends Boolean, B2 extends Boolean> = {
    0: {
      0: 0
      1: 1
    }
    1: {
      0: 1
      1: 1
    }
  }[B1][B2]

  export type Keys<U extends Union> = U extends unknown ? keyof U : never

  type Cast<A, B> = A extends B ? A : B;

  export const type: unique symbol;



  /**
   * Used by group by
   */

  export type GetScalarType<T, O> = O extends object ? {
    [P in keyof T]: P extends keyof O
      ? O[P]
      : never
  } : never

  type FieldPaths<
    T,
    U = Omit<T, '_avg' | '_sum' | '_count' | '_min' | '_max'>
  > = IsObject<T> extends True ? U : T

  type GetHavingFields<T> = {
    [K in keyof T]: Or<
      Or<Extends<'OR', K>, Extends<'AND', K>>,
      Extends<'NOT', K>
    > extends True
      ? // infer is only needed to not hit TS limit
        // based on the brilliant idea of Pierre-Antoine Mills
        // https://github.com/microsoft/TypeScript/issues/30188#issuecomment-478938437
        T[K] extends infer TK
        ? GetHavingFields<UnEnumerate<TK> extends object ? Merge<UnEnumerate<TK>> : never>
        : never
      : {} extends FieldPaths<T[K]>
      ? never
      : K
  }[keyof T]

  /**
   * Convert tuple to union
   */
  type _TupleToUnion<T> = T extends (infer E)[] ? E : never
  type TupleToUnion<K extends readonly any[]> = _TupleToUnion<K>
  type MaybeTupleToUnion<T> = T extends any[] ? TupleToUnion<T> : T

  /**
   * Like `Pick`, but additionally can also accept an array of keys
   */
  type PickEnumerable<T, K extends Enumerable<keyof T> | keyof T> = Prisma__Pick<T, MaybeTupleToUnion<K>>

  /**
   * Exclude all keys with underscores
   */
  type ExcludeUnderscoreKeys<T extends string> = T extends `_${string}` ? never : T


  export type FieldRef<Model, FieldType> = runtime.FieldRef<Model, FieldType>

  type FieldRefInputType<Model, FieldType> = Model extends never ? never : FieldRef<Model, FieldType>


  export const ModelName: {
    Users: 'Users',
    VerifyEmail: 'VerifyEmail',
    ResetPassword: 'ResetPassword',
    VerifyPhone: 'VerifyPhone',
    DeviceInfo: 'DeviceInfo',
    ChangeLog: 'ChangeLog'
  };

  export type ModelName = (typeof ModelName)[keyof typeof ModelName]


  export type Datasources = {
    db?: Datasource
  }

  interface TypeMapCb extends $Utils.Fn<{extArgs: $Extensions.InternalArgs, clientOptions: PrismaClientOptions }, $Utils.Record<string, any>> {
    returns: Prisma.TypeMap<this['params']['extArgs'], this['params']['clientOptions']>
  }

  export type TypeMap<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs, ClientOptions = {}> = {
    meta: {
      modelProps: "users" | "verifyEmail" | "resetPassword" | "verifyPhone" | "deviceInfo" | "changeLog"
      txIsolationLevel: never
    }
    model: {
      Users: {
        payload: Prisma.$UsersPayload<ExtArgs>
        fields: Prisma.UsersFieldRefs
        operations: {
          findUnique: {
            args: Prisma.UsersFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.UsersFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          findFirst: {
            args: Prisma.UsersFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.UsersFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          findMany: {
            args: Prisma.UsersFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>[]
          }
          create: {
            args: Prisma.UsersCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          createMany: {
            args: Prisma.UsersCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.UsersDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          update: {
            args: Prisma.UsersUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          deleteMany: {
            args: Prisma.UsersDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.UsersUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.UsersUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$UsersPayload>
          }
          aggregate: {
            args: Prisma.UsersAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateUsers>
          }
          groupBy: {
            args: Prisma.UsersGroupByArgs<ExtArgs>
            result: $Utils.Optional<UsersGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.UsersFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.UsersAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.UsersCountArgs<ExtArgs>
            result: $Utils.Optional<UsersCountAggregateOutputType> | number
          }
        }
      }
      VerifyEmail: {
        payload: Prisma.$VerifyEmailPayload<ExtArgs>
        fields: Prisma.VerifyEmailFieldRefs
        operations: {
          findUnique: {
            args: Prisma.VerifyEmailFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.VerifyEmailFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          findFirst: {
            args: Prisma.VerifyEmailFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.VerifyEmailFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          findMany: {
            args: Prisma.VerifyEmailFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>[]
          }
          create: {
            args: Prisma.VerifyEmailCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          createMany: {
            args: Prisma.VerifyEmailCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.VerifyEmailDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          update: {
            args: Prisma.VerifyEmailUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          deleteMany: {
            args: Prisma.VerifyEmailDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.VerifyEmailUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.VerifyEmailUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyEmailPayload>
          }
          aggregate: {
            args: Prisma.VerifyEmailAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateVerifyEmail>
          }
          groupBy: {
            args: Prisma.VerifyEmailGroupByArgs<ExtArgs>
            result: $Utils.Optional<VerifyEmailGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.VerifyEmailFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.VerifyEmailAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.VerifyEmailCountArgs<ExtArgs>
            result: $Utils.Optional<VerifyEmailCountAggregateOutputType> | number
          }
        }
      }
      ResetPassword: {
        payload: Prisma.$ResetPasswordPayload<ExtArgs>
        fields: Prisma.ResetPasswordFieldRefs
        operations: {
          findUnique: {
            args: Prisma.ResetPasswordFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.ResetPasswordFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          findFirst: {
            args: Prisma.ResetPasswordFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.ResetPasswordFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          findMany: {
            args: Prisma.ResetPasswordFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>[]
          }
          create: {
            args: Prisma.ResetPasswordCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          createMany: {
            args: Prisma.ResetPasswordCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.ResetPasswordDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          update: {
            args: Prisma.ResetPasswordUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          deleteMany: {
            args: Prisma.ResetPasswordDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.ResetPasswordUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.ResetPasswordUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ResetPasswordPayload>
          }
          aggregate: {
            args: Prisma.ResetPasswordAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateResetPassword>
          }
          groupBy: {
            args: Prisma.ResetPasswordGroupByArgs<ExtArgs>
            result: $Utils.Optional<ResetPasswordGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.ResetPasswordFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.ResetPasswordAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.ResetPasswordCountArgs<ExtArgs>
            result: $Utils.Optional<ResetPasswordCountAggregateOutputType> | number
          }
        }
      }
      VerifyPhone: {
        payload: Prisma.$VerifyPhonePayload<ExtArgs>
        fields: Prisma.VerifyPhoneFieldRefs
        operations: {
          findUnique: {
            args: Prisma.VerifyPhoneFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.VerifyPhoneFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          findFirst: {
            args: Prisma.VerifyPhoneFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.VerifyPhoneFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          findMany: {
            args: Prisma.VerifyPhoneFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>[]
          }
          create: {
            args: Prisma.VerifyPhoneCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          createMany: {
            args: Prisma.VerifyPhoneCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.VerifyPhoneDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          update: {
            args: Prisma.VerifyPhoneUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          deleteMany: {
            args: Prisma.VerifyPhoneDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.VerifyPhoneUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.VerifyPhoneUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$VerifyPhonePayload>
          }
          aggregate: {
            args: Prisma.VerifyPhoneAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateVerifyPhone>
          }
          groupBy: {
            args: Prisma.VerifyPhoneGroupByArgs<ExtArgs>
            result: $Utils.Optional<VerifyPhoneGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.VerifyPhoneFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.VerifyPhoneAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.VerifyPhoneCountArgs<ExtArgs>
            result: $Utils.Optional<VerifyPhoneCountAggregateOutputType> | number
          }
        }
      }
      DeviceInfo: {
        payload: Prisma.$DeviceInfoPayload<ExtArgs>
        fields: Prisma.DeviceInfoFieldRefs
        operations: {
          findUnique: {
            args: Prisma.DeviceInfoFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.DeviceInfoFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          findFirst: {
            args: Prisma.DeviceInfoFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.DeviceInfoFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          findMany: {
            args: Prisma.DeviceInfoFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>[]
          }
          create: {
            args: Prisma.DeviceInfoCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          createMany: {
            args: Prisma.DeviceInfoCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.DeviceInfoDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          update: {
            args: Prisma.DeviceInfoUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          deleteMany: {
            args: Prisma.DeviceInfoDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.DeviceInfoUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.DeviceInfoUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$DeviceInfoPayload>
          }
          aggregate: {
            args: Prisma.DeviceInfoAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateDeviceInfo>
          }
          groupBy: {
            args: Prisma.DeviceInfoGroupByArgs<ExtArgs>
            result: $Utils.Optional<DeviceInfoGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.DeviceInfoFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.DeviceInfoAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.DeviceInfoCountArgs<ExtArgs>
            result: $Utils.Optional<DeviceInfoCountAggregateOutputType> | number
          }
        }
      }
      ChangeLog: {
        payload: Prisma.$ChangeLogPayload<ExtArgs>
        fields: Prisma.ChangeLogFieldRefs
        operations: {
          findUnique: {
            args: Prisma.ChangeLogFindUniqueArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload> | null
          }
          findUniqueOrThrow: {
            args: Prisma.ChangeLogFindUniqueOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          findFirst: {
            args: Prisma.ChangeLogFindFirstArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload> | null
          }
          findFirstOrThrow: {
            args: Prisma.ChangeLogFindFirstOrThrowArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          findMany: {
            args: Prisma.ChangeLogFindManyArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>[]
          }
          create: {
            args: Prisma.ChangeLogCreateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          createMany: {
            args: Prisma.ChangeLogCreateManyArgs<ExtArgs>
            result: BatchPayload
          }
          delete: {
            args: Prisma.ChangeLogDeleteArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          update: {
            args: Prisma.ChangeLogUpdateArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          deleteMany: {
            args: Prisma.ChangeLogDeleteManyArgs<ExtArgs>
            result: BatchPayload
          }
          updateMany: {
            args: Prisma.ChangeLogUpdateManyArgs<ExtArgs>
            result: BatchPayload
          }
          upsert: {
            args: Prisma.ChangeLogUpsertArgs<ExtArgs>
            result: $Utils.PayloadToResult<Prisma.$ChangeLogPayload>
          }
          aggregate: {
            args: Prisma.ChangeLogAggregateArgs<ExtArgs>
            result: $Utils.Optional<AggregateChangeLog>
          }
          groupBy: {
            args: Prisma.ChangeLogGroupByArgs<ExtArgs>
            result: $Utils.Optional<ChangeLogGroupByOutputType>[]
          }
          findRaw: {
            args: Prisma.ChangeLogFindRawArgs<ExtArgs>
            result: JsonObject
          }
          aggregateRaw: {
            args: Prisma.ChangeLogAggregateRawArgs<ExtArgs>
            result: JsonObject
          }
          count: {
            args: Prisma.ChangeLogCountArgs<ExtArgs>
            result: $Utils.Optional<ChangeLogCountAggregateOutputType> | number
          }
        }
      }
    }
  } & {
    other: {
      payload: any
      operations: {
        $runCommandRaw: {
          args: Prisma.InputJsonObject,
          result: Prisma.JsonObject
        }
      }
    }
  }
  export const defineExtension: $Extensions.ExtendsHook<"define", Prisma.TypeMapCb, $Extensions.DefaultArgs>
  export type DefaultPrismaClient = PrismaClient
  export type ErrorFormat = 'pretty' | 'colorless' | 'minimal'
  export interface PrismaClientOptions {
    /**
     * Overwrites the datasource url from your schema.prisma file
     */
    datasources?: Datasources
    /**
     * Overwrites the datasource url from your schema.prisma file
     */
    datasourceUrl?: string
    /**
     * @default "colorless"
     */
    errorFormat?: ErrorFormat
    /**
     * @example
     * ```
     * // Defaults to stdout
     * log: ['query', 'info', 'warn', 'error']
     * 
     * // Emit as events
     * log: [
     *   { emit: 'stdout', level: 'query' },
     *   { emit: 'stdout', level: 'info' },
     *   { emit: 'stdout', level: 'warn' }
     *   { emit: 'stdout', level: 'error' }
     * ]
     * ```
     * Read more in our [docs](https://www.prisma.io/docs/reference/tools-and-interfaces/prisma-client/logging#the-log-option).
     */
    log?: (LogLevel | LogDefinition)[]
    /**
     * The default values for transactionOptions
     * maxWait ?= 2000
     * timeout ?= 5000
     */
    transactionOptions?: {
      maxWait?: number
      timeout?: number
    }
  }


  /* Types for Logging */
  export type LogLevel = 'info' | 'query' | 'warn' | 'error'
  export type LogDefinition = {
    level: LogLevel
    emit: 'stdout' | 'event'
  }

  export type GetLogType<T extends LogLevel | LogDefinition> = T extends LogDefinition ? T['emit'] extends 'event' ? T['level'] : never : never
  export type GetEvents<T extends any> = T extends Array<LogLevel | LogDefinition> ?
    GetLogType<T[0]> | GetLogType<T[1]> | GetLogType<T[2]> | GetLogType<T[3]>
    : never

  export type QueryEvent = {
    timestamp: Date
    query: string
    params: string
    duration: number
    target: string
  }

  export type LogEvent = {
    timestamp: Date
    message: string
    target: string
  }
  /* End Types for Logging */


  export type PrismaAction =
    | 'findUnique'
    | 'findUniqueOrThrow'
    | 'findMany'
    | 'findFirst'
    | 'findFirstOrThrow'
    | 'create'
    | 'createMany'
    | 'createManyAndReturn'
    | 'update'
    | 'updateMany'
    | 'upsert'
    | 'delete'
    | 'deleteMany'
    | 'executeRaw'
    | 'queryRaw'
    | 'aggregate'
    | 'count'
    | 'runCommandRaw'
    | 'findRaw'
    | 'groupBy'

  /**
   * These options are being passed into the middleware as "params"
   */
  export type MiddlewareParams = {
    model?: ModelName
    action: PrismaAction
    args: any
    dataPath: string[]
    runInTransaction: boolean
  }

  /**
   * The `T` type makes sure, that the `return proceed` is not forgotten in the middleware implementation
   */
  export type Middleware<T = any> = (
    params: MiddlewareParams,
    next: (params: MiddlewareParams) => $Utils.JsPromise<T>,
  ) => $Utils.JsPromise<T>

  // tested in getLogLevel.test.ts
  export function getLogLevel(log: Array<LogLevel | LogDefinition>): LogLevel | undefined;

  /**
   * `PrismaClient` proxy available in interactive transactions.
   */
  export type TransactionClient = Omit<Prisma.DefaultPrismaClient, runtime.ITXClientDenyList>

  export type Datasource = {
    url?: string
  }

  /**
   * Count Types
   */



  /**
   * Models
   */

  /**
   * Model Users
   */

  export type AggregateUsers = {
    _count: UsersCountAggregateOutputType | null
    _min: UsersMinAggregateOutputType | null
    _max: UsersMaxAggregateOutputType | null
  }

  export type UsersMinAggregateOutputType = {
    id: string | null
    firstName: string | null
    middleName: string | null
    lastName: string | null
    email: string | null
    username: string | null
    password: string | null
    gender: $Enums.Gender | null
    dob: Date | null
    role: $Enums.UserRole | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type UsersMaxAggregateOutputType = {
    id: string | null
    firstName: string | null
    middleName: string | null
    lastName: string | null
    email: string | null
    username: string | null
    password: string | null
    gender: $Enums.Gender | null
    dob: Date | null
    role: $Enums.UserRole | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type UsersCountAggregateOutputType = {
    id: number
    firstName: number
    middleName: number
    lastName: number
    email: number
    username: number
    password: number
    gender: number
    dob: number
    role: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type UsersMinAggregateInputType = {
    id?: true
    firstName?: true
    middleName?: true
    lastName?: true
    email?: true
    username?: true
    password?: true
    gender?: true
    dob?: true
    role?: true
    createdAt?: true
    updatedAt?: true
  }

  export type UsersMaxAggregateInputType = {
    id?: true
    firstName?: true
    middleName?: true
    lastName?: true
    email?: true
    username?: true
    password?: true
    gender?: true
    dob?: true
    role?: true
    createdAt?: true
    updatedAt?: true
  }

  export type UsersCountAggregateInputType = {
    id?: true
    firstName?: true
    middleName?: true
    lastName?: true
    email?: true
    username?: true
    password?: true
    gender?: true
    dob?: true
    role?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type UsersAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which Users to aggregate.
     */
    where?: UsersWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of Users to fetch.
     */
    orderBy?: UsersOrderByWithRelationInput | UsersOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: UsersWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` Users from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` Users.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned Users
    **/
    _count?: true | UsersCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: UsersMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: UsersMaxAggregateInputType
  }

  export type GetUsersAggregateType<T extends UsersAggregateArgs> = {
        [P in keyof T & keyof AggregateUsers]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateUsers[P]>
      : GetScalarType<T[P], AggregateUsers[P]>
  }




  export type UsersGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: UsersWhereInput
    orderBy?: UsersOrderByWithAggregationInput | UsersOrderByWithAggregationInput[]
    by: UsersScalarFieldEnum[] | UsersScalarFieldEnum
    having?: UsersScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: UsersCountAggregateInputType | true
    _min?: UsersMinAggregateInputType
    _max?: UsersMaxAggregateInputType
  }

  export type UsersGroupByOutputType = {
    id: string
    firstName: string
    middleName: string | null
    lastName: string
    email: string
    username: string
    password: string
    gender: $Enums.Gender
    dob: Date
    role: $Enums.UserRole
    createdAt: Date
    updatedAt: Date
    _count: UsersCountAggregateOutputType | null
    _min: UsersMinAggregateOutputType | null
    _max: UsersMaxAggregateOutputType | null
  }

  type GetUsersGroupByPayload<T extends UsersGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<UsersGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof UsersGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], UsersGroupByOutputType[P]>
            : GetScalarType<T[P], UsersGroupByOutputType[P]>
        }
      >
    >


  export type UsersSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    firstName?: boolean
    middleName?: boolean
    lastName?: boolean
    email?: boolean
    username?: boolean
    password?: boolean
    gender?: boolean
    dob?: boolean
    role?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["users"]>


  export type UsersSelectScalar = {
    id?: boolean
    firstName?: boolean
    middleName?: boolean
    lastName?: boolean
    email?: boolean
    username?: boolean
    password?: boolean
    gender?: boolean
    dob?: boolean
    role?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $UsersPayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "Users"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      firstName: string
      middleName: string | null
      lastName: string
      email: string
      username: string
      password: string
      gender: $Enums.Gender
      dob: Date
      role: $Enums.UserRole
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["users"]>
    composites: {}
  }

  type UsersGetPayload<S extends boolean | null | undefined | UsersDefaultArgs> = $Result.GetResult<Prisma.$UsersPayload, S>

  type UsersCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<UsersFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: UsersCountAggregateInputType | true
    }

  export interface UsersDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['Users'], meta: { name: 'Users' } }
    /**
     * Find zero or one Users that matches the filter.
     * @param {UsersFindUniqueArgs} args - Arguments to find a Users
     * @example
     * // Get one Users
     * const users = await prisma.users.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends UsersFindUniqueArgs>(args: SelectSubset<T, UsersFindUniqueArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one Users that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {UsersFindUniqueOrThrowArgs} args - Arguments to find a Users
     * @example
     * // Get one Users
     * const users = await prisma.users.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends UsersFindUniqueOrThrowArgs>(args: SelectSubset<T, UsersFindUniqueOrThrowArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first Users that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersFindFirstArgs} args - Arguments to find a Users
     * @example
     * // Get one Users
     * const users = await prisma.users.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends UsersFindFirstArgs>(args?: SelectSubset<T, UsersFindFirstArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first Users that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersFindFirstOrThrowArgs} args - Arguments to find a Users
     * @example
     * // Get one Users
     * const users = await prisma.users.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends UsersFindFirstOrThrowArgs>(args?: SelectSubset<T, UsersFindFirstOrThrowArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more Users that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all Users
     * const users = await prisma.users.findMany()
     * 
     * // Get first 10 Users
     * const users = await prisma.users.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const usersWithIdOnly = await prisma.users.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends UsersFindManyArgs>(args?: SelectSubset<T, UsersFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "findMany">>

    /**
     * Create a Users.
     * @param {UsersCreateArgs} args - Arguments to create a Users.
     * @example
     * // Create one Users
     * const Users = await prisma.users.create({
     *   data: {
     *     // ... data to create a Users
     *   }
     * })
     * 
     */
    create<T extends UsersCreateArgs>(args: SelectSubset<T, UsersCreateArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many Users.
     * @param {UsersCreateManyArgs} args - Arguments to create many Users.
     * @example
     * // Create many Users
     * const users = await prisma.users.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends UsersCreateManyArgs>(args?: SelectSubset<T, UsersCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a Users.
     * @param {UsersDeleteArgs} args - Arguments to delete one Users.
     * @example
     * // Delete one Users
     * const Users = await prisma.users.delete({
     *   where: {
     *     // ... filter to delete one Users
     *   }
     * })
     * 
     */
    delete<T extends UsersDeleteArgs>(args: SelectSubset<T, UsersDeleteArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one Users.
     * @param {UsersUpdateArgs} args - Arguments to update one Users.
     * @example
     * // Update one Users
     * const users = await prisma.users.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends UsersUpdateArgs>(args: SelectSubset<T, UsersUpdateArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more Users.
     * @param {UsersDeleteManyArgs} args - Arguments to filter Users to delete.
     * @example
     * // Delete a few Users
     * const { count } = await prisma.users.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends UsersDeleteManyArgs>(args?: SelectSubset<T, UsersDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more Users.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many Users
     * const users = await prisma.users.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends UsersUpdateManyArgs>(args: SelectSubset<T, UsersUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one Users.
     * @param {UsersUpsertArgs} args - Arguments to update or create a Users.
     * @example
     * // Update or create a Users
     * const users = await prisma.users.upsert({
     *   create: {
     *     // ... data to create a Users
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the Users we want to update
     *   }
     * })
     */
    upsert<T extends UsersUpsertArgs>(args: SelectSubset<T, UsersUpsertArgs<ExtArgs>>): Prisma__UsersClient<$Result.GetResult<Prisma.$UsersPayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more Users that matches the filter.
     * @param {UsersFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const users = await prisma.users.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: UsersFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a Users.
     * @param {UsersAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const users = await prisma.users.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: UsersAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of Users.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersCountArgs} args - Arguments to filter Users to count.
     * @example
     * // Count the number of Users
     * const count = await prisma.users.count({
     *   where: {
     *     // ... the filter for the Users we want to count
     *   }
     * })
    **/
    count<T extends UsersCountArgs>(
      args?: Subset<T, UsersCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], UsersCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a Users.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends UsersAggregateArgs>(args: Subset<T, UsersAggregateArgs>): Prisma.PrismaPromise<GetUsersAggregateType<T>>

    /**
     * Group by Users.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {UsersGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends UsersGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: UsersGroupByArgs['orderBy'] }
        : { orderBy?: UsersGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, UsersGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetUsersGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the Users model
   */
  readonly fields: UsersFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for Users.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__UsersClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the Users model
   */ 
  interface UsersFieldRefs {
    readonly id: FieldRef<"Users", 'String'>
    readonly firstName: FieldRef<"Users", 'String'>
    readonly middleName: FieldRef<"Users", 'String'>
    readonly lastName: FieldRef<"Users", 'String'>
    readonly email: FieldRef<"Users", 'String'>
    readonly username: FieldRef<"Users", 'String'>
    readonly password: FieldRef<"Users", 'String'>
    readonly gender: FieldRef<"Users", 'Gender'>
    readonly dob: FieldRef<"Users", 'DateTime'>
    readonly role: FieldRef<"Users", 'UserRole'>
    readonly createdAt: FieldRef<"Users", 'DateTime'>
    readonly updatedAt: FieldRef<"Users", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * Users findUnique
   */
  export type UsersFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter, which Users to fetch.
     */
    where: UsersWhereUniqueInput
  }

  /**
   * Users findUniqueOrThrow
   */
  export type UsersFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter, which Users to fetch.
     */
    where: UsersWhereUniqueInput
  }

  /**
   * Users findFirst
   */
  export type UsersFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter, which Users to fetch.
     */
    where?: UsersWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of Users to fetch.
     */
    orderBy?: UsersOrderByWithRelationInput | UsersOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for Users.
     */
    cursor?: UsersWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` Users from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` Users.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of Users.
     */
    distinct?: UsersScalarFieldEnum | UsersScalarFieldEnum[]
  }

  /**
   * Users findFirstOrThrow
   */
  export type UsersFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter, which Users to fetch.
     */
    where?: UsersWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of Users to fetch.
     */
    orderBy?: UsersOrderByWithRelationInput | UsersOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for Users.
     */
    cursor?: UsersWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` Users from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` Users.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of Users.
     */
    distinct?: UsersScalarFieldEnum | UsersScalarFieldEnum[]
  }

  /**
   * Users findMany
   */
  export type UsersFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter, which Users to fetch.
     */
    where?: UsersWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of Users to fetch.
     */
    orderBy?: UsersOrderByWithRelationInput | UsersOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing Users.
     */
    cursor?: UsersWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` Users from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` Users.
     */
    skip?: number
    distinct?: UsersScalarFieldEnum | UsersScalarFieldEnum[]
  }

  /**
   * Users create
   */
  export type UsersCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * The data needed to create a Users.
     */
    data: XOR<UsersCreateInput, UsersUncheckedCreateInput>
  }

  /**
   * Users createMany
   */
  export type UsersCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many Users.
     */
    data: UsersCreateManyInput | UsersCreateManyInput[]
  }

  /**
   * Users update
   */
  export type UsersUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * The data needed to update a Users.
     */
    data: XOR<UsersUpdateInput, UsersUncheckedUpdateInput>
    /**
     * Choose, which Users to update.
     */
    where: UsersWhereUniqueInput
  }

  /**
   * Users updateMany
   */
  export type UsersUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update Users.
     */
    data: XOR<UsersUpdateManyMutationInput, UsersUncheckedUpdateManyInput>
    /**
     * Filter which Users to update
     */
    where?: UsersWhereInput
  }

  /**
   * Users upsert
   */
  export type UsersUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * The filter to search for the Users to update in case it exists.
     */
    where: UsersWhereUniqueInput
    /**
     * In case the Users found by the `where` argument doesn't exist, create a new Users with this data.
     */
    create: XOR<UsersCreateInput, UsersUncheckedCreateInput>
    /**
     * In case the Users was found with the provided `where` argument, update it with this data.
     */
    update: XOR<UsersUpdateInput, UsersUncheckedUpdateInput>
  }

  /**
   * Users delete
   */
  export type UsersDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
    /**
     * Filter which Users to delete.
     */
    where: UsersWhereUniqueInput
  }

  /**
   * Users deleteMany
   */
  export type UsersDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which Users to delete
     */
    where?: UsersWhereInput
  }

  /**
   * Users findRaw
   */
  export type UsersFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * Users aggregateRaw
   */
  export type UsersAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * Users without action
   */
  export type UsersDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the Users
     */
    select?: UsersSelect<ExtArgs> | null
  }


  /**
   * Model VerifyEmail
   */

  export type AggregateVerifyEmail = {
    _count: VerifyEmailCountAggregateOutputType | null
    _avg: VerifyEmailAvgAggregateOutputType | null
    _sum: VerifyEmailSumAggregateOutputType | null
    _min: VerifyEmailMinAggregateOutputType | null
    _max: VerifyEmailMaxAggregateOutputType | null
  }

  export type VerifyEmailAvgAggregateOutputType = {
    otp: number | null
  }

  export type VerifyEmailSumAggregateOutputType = {
    otp: number | null
  }

  export type VerifyEmailMinAggregateOutputType = {
    id: string | null
    UserId: string | null
    email: string | null
    otp: number | null
    isVerify: boolean | null
    verifyTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type VerifyEmailMaxAggregateOutputType = {
    id: string | null
    UserId: string | null
    email: string | null
    otp: number | null
    isVerify: boolean | null
    verifyTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type VerifyEmailCountAggregateOutputType = {
    id: number
    UserId: number
    email: number
    otp: number
    isVerify: number
    verifyTime: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type VerifyEmailAvgAggregateInputType = {
    otp?: true
  }

  export type VerifyEmailSumAggregateInputType = {
    otp?: true
  }

  export type VerifyEmailMinAggregateInputType = {
    id?: true
    UserId?: true
    email?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type VerifyEmailMaxAggregateInputType = {
    id?: true
    UserId?: true
    email?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type VerifyEmailCountAggregateInputType = {
    id?: true
    UserId?: true
    email?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type VerifyEmailAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which VerifyEmail to aggregate.
     */
    where?: VerifyEmailWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyEmails to fetch.
     */
    orderBy?: VerifyEmailOrderByWithRelationInput | VerifyEmailOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: VerifyEmailWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyEmails from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyEmails.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned VerifyEmails
    **/
    _count?: true | VerifyEmailCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to average
    **/
    _avg?: VerifyEmailAvgAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to sum
    **/
    _sum?: VerifyEmailSumAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: VerifyEmailMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: VerifyEmailMaxAggregateInputType
  }

  export type GetVerifyEmailAggregateType<T extends VerifyEmailAggregateArgs> = {
        [P in keyof T & keyof AggregateVerifyEmail]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateVerifyEmail[P]>
      : GetScalarType<T[P], AggregateVerifyEmail[P]>
  }




  export type VerifyEmailGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: VerifyEmailWhereInput
    orderBy?: VerifyEmailOrderByWithAggregationInput | VerifyEmailOrderByWithAggregationInput[]
    by: VerifyEmailScalarFieldEnum[] | VerifyEmailScalarFieldEnum
    having?: VerifyEmailScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: VerifyEmailCountAggregateInputType | true
    _avg?: VerifyEmailAvgAggregateInputType
    _sum?: VerifyEmailSumAggregateInputType
    _min?: VerifyEmailMinAggregateInputType
    _max?: VerifyEmailMaxAggregateInputType
  }

  export type VerifyEmailGroupByOutputType = {
    id: string
    UserId: string
    email: string
    otp: number
    isVerify: boolean
    verifyTime: Date | null
    createdAt: Date
    updatedAt: Date
    _count: VerifyEmailCountAggregateOutputType | null
    _avg: VerifyEmailAvgAggregateOutputType | null
    _sum: VerifyEmailSumAggregateOutputType | null
    _min: VerifyEmailMinAggregateOutputType | null
    _max: VerifyEmailMaxAggregateOutputType | null
  }

  type GetVerifyEmailGroupByPayload<T extends VerifyEmailGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<VerifyEmailGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof VerifyEmailGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], VerifyEmailGroupByOutputType[P]>
            : GetScalarType<T[P], VerifyEmailGroupByOutputType[P]>
        }
      >
    >


  export type VerifyEmailSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    UserId?: boolean
    email?: boolean
    otp?: boolean
    isVerify?: boolean
    verifyTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["verifyEmail"]>


  export type VerifyEmailSelectScalar = {
    id?: boolean
    UserId?: boolean
    email?: boolean
    otp?: boolean
    isVerify?: boolean
    verifyTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $VerifyEmailPayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "VerifyEmail"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      UserId: string
      email: string
      otp: number
      isVerify: boolean
      verifyTime: Date | null
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["verifyEmail"]>
    composites: {}
  }

  type VerifyEmailGetPayload<S extends boolean | null | undefined | VerifyEmailDefaultArgs> = $Result.GetResult<Prisma.$VerifyEmailPayload, S>

  type VerifyEmailCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<VerifyEmailFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: VerifyEmailCountAggregateInputType | true
    }

  export interface VerifyEmailDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['VerifyEmail'], meta: { name: 'VerifyEmail' } }
    /**
     * Find zero or one VerifyEmail that matches the filter.
     * @param {VerifyEmailFindUniqueArgs} args - Arguments to find a VerifyEmail
     * @example
     * // Get one VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends VerifyEmailFindUniqueArgs>(args: SelectSubset<T, VerifyEmailFindUniqueArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one VerifyEmail that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {VerifyEmailFindUniqueOrThrowArgs} args - Arguments to find a VerifyEmail
     * @example
     * // Get one VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends VerifyEmailFindUniqueOrThrowArgs>(args: SelectSubset<T, VerifyEmailFindUniqueOrThrowArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first VerifyEmail that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailFindFirstArgs} args - Arguments to find a VerifyEmail
     * @example
     * // Get one VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends VerifyEmailFindFirstArgs>(args?: SelectSubset<T, VerifyEmailFindFirstArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first VerifyEmail that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailFindFirstOrThrowArgs} args - Arguments to find a VerifyEmail
     * @example
     * // Get one VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends VerifyEmailFindFirstOrThrowArgs>(args?: SelectSubset<T, VerifyEmailFindFirstOrThrowArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more VerifyEmails that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all VerifyEmails
     * const verifyEmails = await prisma.verifyEmail.findMany()
     * 
     * // Get first 10 VerifyEmails
     * const verifyEmails = await prisma.verifyEmail.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const verifyEmailWithIdOnly = await prisma.verifyEmail.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends VerifyEmailFindManyArgs>(args?: SelectSubset<T, VerifyEmailFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "findMany">>

    /**
     * Create a VerifyEmail.
     * @param {VerifyEmailCreateArgs} args - Arguments to create a VerifyEmail.
     * @example
     * // Create one VerifyEmail
     * const VerifyEmail = await prisma.verifyEmail.create({
     *   data: {
     *     // ... data to create a VerifyEmail
     *   }
     * })
     * 
     */
    create<T extends VerifyEmailCreateArgs>(args: SelectSubset<T, VerifyEmailCreateArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many VerifyEmails.
     * @param {VerifyEmailCreateManyArgs} args - Arguments to create many VerifyEmails.
     * @example
     * // Create many VerifyEmails
     * const verifyEmail = await prisma.verifyEmail.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends VerifyEmailCreateManyArgs>(args?: SelectSubset<T, VerifyEmailCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a VerifyEmail.
     * @param {VerifyEmailDeleteArgs} args - Arguments to delete one VerifyEmail.
     * @example
     * // Delete one VerifyEmail
     * const VerifyEmail = await prisma.verifyEmail.delete({
     *   where: {
     *     // ... filter to delete one VerifyEmail
     *   }
     * })
     * 
     */
    delete<T extends VerifyEmailDeleteArgs>(args: SelectSubset<T, VerifyEmailDeleteArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one VerifyEmail.
     * @param {VerifyEmailUpdateArgs} args - Arguments to update one VerifyEmail.
     * @example
     * // Update one VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends VerifyEmailUpdateArgs>(args: SelectSubset<T, VerifyEmailUpdateArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more VerifyEmails.
     * @param {VerifyEmailDeleteManyArgs} args - Arguments to filter VerifyEmails to delete.
     * @example
     * // Delete a few VerifyEmails
     * const { count } = await prisma.verifyEmail.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends VerifyEmailDeleteManyArgs>(args?: SelectSubset<T, VerifyEmailDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more VerifyEmails.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many VerifyEmails
     * const verifyEmail = await prisma.verifyEmail.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends VerifyEmailUpdateManyArgs>(args: SelectSubset<T, VerifyEmailUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one VerifyEmail.
     * @param {VerifyEmailUpsertArgs} args - Arguments to update or create a VerifyEmail.
     * @example
     * // Update or create a VerifyEmail
     * const verifyEmail = await prisma.verifyEmail.upsert({
     *   create: {
     *     // ... data to create a VerifyEmail
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the VerifyEmail we want to update
     *   }
     * })
     */
    upsert<T extends VerifyEmailUpsertArgs>(args: SelectSubset<T, VerifyEmailUpsertArgs<ExtArgs>>): Prisma__VerifyEmailClient<$Result.GetResult<Prisma.$VerifyEmailPayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more VerifyEmails that matches the filter.
     * @param {VerifyEmailFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const verifyEmail = await prisma.verifyEmail.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: VerifyEmailFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a VerifyEmail.
     * @param {VerifyEmailAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const verifyEmail = await prisma.verifyEmail.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: VerifyEmailAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of VerifyEmails.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailCountArgs} args - Arguments to filter VerifyEmails to count.
     * @example
     * // Count the number of VerifyEmails
     * const count = await prisma.verifyEmail.count({
     *   where: {
     *     // ... the filter for the VerifyEmails we want to count
     *   }
     * })
    **/
    count<T extends VerifyEmailCountArgs>(
      args?: Subset<T, VerifyEmailCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], VerifyEmailCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a VerifyEmail.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends VerifyEmailAggregateArgs>(args: Subset<T, VerifyEmailAggregateArgs>): Prisma.PrismaPromise<GetVerifyEmailAggregateType<T>>

    /**
     * Group by VerifyEmail.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyEmailGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends VerifyEmailGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: VerifyEmailGroupByArgs['orderBy'] }
        : { orderBy?: VerifyEmailGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, VerifyEmailGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetVerifyEmailGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the VerifyEmail model
   */
  readonly fields: VerifyEmailFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for VerifyEmail.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__VerifyEmailClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the VerifyEmail model
   */ 
  interface VerifyEmailFieldRefs {
    readonly id: FieldRef<"VerifyEmail", 'String'>
    readonly UserId: FieldRef<"VerifyEmail", 'String'>
    readonly email: FieldRef<"VerifyEmail", 'String'>
    readonly otp: FieldRef<"VerifyEmail", 'Int'>
    readonly isVerify: FieldRef<"VerifyEmail", 'Boolean'>
    readonly verifyTime: FieldRef<"VerifyEmail", 'DateTime'>
    readonly createdAt: FieldRef<"VerifyEmail", 'DateTime'>
    readonly updatedAt: FieldRef<"VerifyEmail", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * VerifyEmail findUnique
   */
  export type VerifyEmailFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter, which VerifyEmail to fetch.
     */
    where: VerifyEmailWhereUniqueInput
  }

  /**
   * VerifyEmail findUniqueOrThrow
   */
  export type VerifyEmailFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter, which VerifyEmail to fetch.
     */
    where: VerifyEmailWhereUniqueInput
  }

  /**
   * VerifyEmail findFirst
   */
  export type VerifyEmailFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter, which VerifyEmail to fetch.
     */
    where?: VerifyEmailWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyEmails to fetch.
     */
    orderBy?: VerifyEmailOrderByWithRelationInput | VerifyEmailOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for VerifyEmails.
     */
    cursor?: VerifyEmailWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyEmails from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyEmails.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of VerifyEmails.
     */
    distinct?: VerifyEmailScalarFieldEnum | VerifyEmailScalarFieldEnum[]
  }

  /**
   * VerifyEmail findFirstOrThrow
   */
  export type VerifyEmailFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter, which VerifyEmail to fetch.
     */
    where?: VerifyEmailWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyEmails to fetch.
     */
    orderBy?: VerifyEmailOrderByWithRelationInput | VerifyEmailOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for VerifyEmails.
     */
    cursor?: VerifyEmailWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyEmails from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyEmails.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of VerifyEmails.
     */
    distinct?: VerifyEmailScalarFieldEnum | VerifyEmailScalarFieldEnum[]
  }

  /**
   * VerifyEmail findMany
   */
  export type VerifyEmailFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter, which VerifyEmails to fetch.
     */
    where?: VerifyEmailWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyEmails to fetch.
     */
    orderBy?: VerifyEmailOrderByWithRelationInput | VerifyEmailOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing VerifyEmails.
     */
    cursor?: VerifyEmailWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyEmails from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyEmails.
     */
    skip?: number
    distinct?: VerifyEmailScalarFieldEnum | VerifyEmailScalarFieldEnum[]
  }

  /**
   * VerifyEmail create
   */
  export type VerifyEmailCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * The data needed to create a VerifyEmail.
     */
    data: XOR<VerifyEmailCreateInput, VerifyEmailUncheckedCreateInput>
  }

  /**
   * VerifyEmail createMany
   */
  export type VerifyEmailCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many VerifyEmails.
     */
    data: VerifyEmailCreateManyInput | VerifyEmailCreateManyInput[]
  }

  /**
   * VerifyEmail update
   */
  export type VerifyEmailUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * The data needed to update a VerifyEmail.
     */
    data: XOR<VerifyEmailUpdateInput, VerifyEmailUncheckedUpdateInput>
    /**
     * Choose, which VerifyEmail to update.
     */
    where: VerifyEmailWhereUniqueInput
  }

  /**
   * VerifyEmail updateMany
   */
  export type VerifyEmailUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update VerifyEmails.
     */
    data: XOR<VerifyEmailUpdateManyMutationInput, VerifyEmailUncheckedUpdateManyInput>
    /**
     * Filter which VerifyEmails to update
     */
    where?: VerifyEmailWhereInput
  }

  /**
   * VerifyEmail upsert
   */
  export type VerifyEmailUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * The filter to search for the VerifyEmail to update in case it exists.
     */
    where: VerifyEmailWhereUniqueInput
    /**
     * In case the VerifyEmail found by the `where` argument doesn't exist, create a new VerifyEmail with this data.
     */
    create: XOR<VerifyEmailCreateInput, VerifyEmailUncheckedCreateInput>
    /**
     * In case the VerifyEmail was found with the provided `where` argument, update it with this data.
     */
    update: XOR<VerifyEmailUpdateInput, VerifyEmailUncheckedUpdateInput>
  }

  /**
   * VerifyEmail delete
   */
  export type VerifyEmailDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
    /**
     * Filter which VerifyEmail to delete.
     */
    where: VerifyEmailWhereUniqueInput
  }

  /**
   * VerifyEmail deleteMany
   */
  export type VerifyEmailDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which VerifyEmails to delete
     */
    where?: VerifyEmailWhereInput
  }

  /**
   * VerifyEmail findRaw
   */
  export type VerifyEmailFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * VerifyEmail aggregateRaw
   */
  export type VerifyEmailAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * VerifyEmail without action
   */
  export type VerifyEmailDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyEmail
     */
    select?: VerifyEmailSelect<ExtArgs> | null
  }


  /**
   * Model ResetPassword
   */

  export type AggregateResetPassword = {
    _count: ResetPasswordCountAggregateOutputType | null
    _min: ResetPasswordMinAggregateOutputType | null
    _max: ResetPasswordMaxAggregateOutputType | null
  }

  export type ResetPasswordMinAggregateOutputType = {
    id: string | null
    UserId: string | null
    token: string | null
    isReset: boolean | null
    resetTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type ResetPasswordMaxAggregateOutputType = {
    id: string | null
    UserId: string | null
    token: string | null
    isReset: boolean | null
    resetTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type ResetPasswordCountAggregateOutputType = {
    id: number
    UserId: number
    token: number
    isReset: number
    resetTime: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type ResetPasswordMinAggregateInputType = {
    id?: true
    UserId?: true
    token?: true
    isReset?: true
    resetTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type ResetPasswordMaxAggregateInputType = {
    id?: true
    UserId?: true
    token?: true
    isReset?: true
    resetTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type ResetPasswordCountAggregateInputType = {
    id?: true
    UserId?: true
    token?: true
    isReset?: true
    resetTime?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type ResetPasswordAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which ResetPassword to aggregate.
     */
    where?: ResetPasswordWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ResetPasswords to fetch.
     */
    orderBy?: ResetPasswordOrderByWithRelationInput | ResetPasswordOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: ResetPasswordWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ResetPasswords from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ResetPasswords.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned ResetPasswords
    **/
    _count?: true | ResetPasswordCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: ResetPasswordMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: ResetPasswordMaxAggregateInputType
  }

  export type GetResetPasswordAggregateType<T extends ResetPasswordAggregateArgs> = {
        [P in keyof T & keyof AggregateResetPassword]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateResetPassword[P]>
      : GetScalarType<T[P], AggregateResetPassword[P]>
  }




  export type ResetPasswordGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: ResetPasswordWhereInput
    orderBy?: ResetPasswordOrderByWithAggregationInput | ResetPasswordOrderByWithAggregationInput[]
    by: ResetPasswordScalarFieldEnum[] | ResetPasswordScalarFieldEnum
    having?: ResetPasswordScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: ResetPasswordCountAggregateInputType | true
    _min?: ResetPasswordMinAggregateInputType
    _max?: ResetPasswordMaxAggregateInputType
  }

  export type ResetPasswordGroupByOutputType = {
    id: string
    UserId: string
    token: string
    isReset: boolean
    resetTime: Date | null
    createdAt: Date
    updatedAt: Date
    _count: ResetPasswordCountAggregateOutputType | null
    _min: ResetPasswordMinAggregateOutputType | null
    _max: ResetPasswordMaxAggregateOutputType | null
  }

  type GetResetPasswordGroupByPayload<T extends ResetPasswordGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<ResetPasswordGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof ResetPasswordGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], ResetPasswordGroupByOutputType[P]>
            : GetScalarType<T[P], ResetPasswordGroupByOutputType[P]>
        }
      >
    >


  export type ResetPasswordSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    UserId?: boolean
    token?: boolean
    isReset?: boolean
    resetTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["resetPassword"]>


  export type ResetPasswordSelectScalar = {
    id?: boolean
    UserId?: boolean
    token?: boolean
    isReset?: boolean
    resetTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $ResetPasswordPayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "ResetPassword"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      UserId: string
      token: string
      isReset: boolean
      resetTime: Date | null
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["resetPassword"]>
    composites: {}
  }

  type ResetPasswordGetPayload<S extends boolean | null | undefined | ResetPasswordDefaultArgs> = $Result.GetResult<Prisma.$ResetPasswordPayload, S>

  type ResetPasswordCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<ResetPasswordFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: ResetPasswordCountAggregateInputType | true
    }

  export interface ResetPasswordDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['ResetPassword'], meta: { name: 'ResetPassword' } }
    /**
     * Find zero or one ResetPassword that matches the filter.
     * @param {ResetPasswordFindUniqueArgs} args - Arguments to find a ResetPassword
     * @example
     * // Get one ResetPassword
     * const resetPassword = await prisma.resetPassword.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends ResetPasswordFindUniqueArgs>(args: SelectSubset<T, ResetPasswordFindUniqueArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one ResetPassword that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {ResetPasswordFindUniqueOrThrowArgs} args - Arguments to find a ResetPassword
     * @example
     * // Get one ResetPassword
     * const resetPassword = await prisma.resetPassword.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends ResetPasswordFindUniqueOrThrowArgs>(args: SelectSubset<T, ResetPasswordFindUniqueOrThrowArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first ResetPassword that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordFindFirstArgs} args - Arguments to find a ResetPassword
     * @example
     * // Get one ResetPassword
     * const resetPassword = await prisma.resetPassword.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends ResetPasswordFindFirstArgs>(args?: SelectSubset<T, ResetPasswordFindFirstArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first ResetPassword that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordFindFirstOrThrowArgs} args - Arguments to find a ResetPassword
     * @example
     * // Get one ResetPassword
     * const resetPassword = await prisma.resetPassword.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends ResetPasswordFindFirstOrThrowArgs>(args?: SelectSubset<T, ResetPasswordFindFirstOrThrowArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more ResetPasswords that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all ResetPasswords
     * const resetPasswords = await prisma.resetPassword.findMany()
     * 
     * // Get first 10 ResetPasswords
     * const resetPasswords = await prisma.resetPassword.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const resetPasswordWithIdOnly = await prisma.resetPassword.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends ResetPasswordFindManyArgs>(args?: SelectSubset<T, ResetPasswordFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "findMany">>

    /**
     * Create a ResetPassword.
     * @param {ResetPasswordCreateArgs} args - Arguments to create a ResetPassword.
     * @example
     * // Create one ResetPassword
     * const ResetPassword = await prisma.resetPassword.create({
     *   data: {
     *     // ... data to create a ResetPassword
     *   }
     * })
     * 
     */
    create<T extends ResetPasswordCreateArgs>(args: SelectSubset<T, ResetPasswordCreateArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many ResetPasswords.
     * @param {ResetPasswordCreateManyArgs} args - Arguments to create many ResetPasswords.
     * @example
     * // Create many ResetPasswords
     * const resetPassword = await prisma.resetPassword.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends ResetPasswordCreateManyArgs>(args?: SelectSubset<T, ResetPasswordCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a ResetPassword.
     * @param {ResetPasswordDeleteArgs} args - Arguments to delete one ResetPassword.
     * @example
     * // Delete one ResetPassword
     * const ResetPassword = await prisma.resetPassword.delete({
     *   where: {
     *     // ... filter to delete one ResetPassword
     *   }
     * })
     * 
     */
    delete<T extends ResetPasswordDeleteArgs>(args: SelectSubset<T, ResetPasswordDeleteArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one ResetPassword.
     * @param {ResetPasswordUpdateArgs} args - Arguments to update one ResetPassword.
     * @example
     * // Update one ResetPassword
     * const resetPassword = await prisma.resetPassword.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends ResetPasswordUpdateArgs>(args: SelectSubset<T, ResetPasswordUpdateArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more ResetPasswords.
     * @param {ResetPasswordDeleteManyArgs} args - Arguments to filter ResetPasswords to delete.
     * @example
     * // Delete a few ResetPasswords
     * const { count } = await prisma.resetPassword.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends ResetPasswordDeleteManyArgs>(args?: SelectSubset<T, ResetPasswordDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more ResetPasswords.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many ResetPasswords
     * const resetPassword = await prisma.resetPassword.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends ResetPasswordUpdateManyArgs>(args: SelectSubset<T, ResetPasswordUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one ResetPassword.
     * @param {ResetPasswordUpsertArgs} args - Arguments to update or create a ResetPassword.
     * @example
     * // Update or create a ResetPassword
     * const resetPassword = await prisma.resetPassword.upsert({
     *   create: {
     *     // ... data to create a ResetPassword
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the ResetPassword we want to update
     *   }
     * })
     */
    upsert<T extends ResetPasswordUpsertArgs>(args: SelectSubset<T, ResetPasswordUpsertArgs<ExtArgs>>): Prisma__ResetPasswordClient<$Result.GetResult<Prisma.$ResetPasswordPayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more ResetPasswords that matches the filter.
     * @param {ResetPasswordFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const resetPassword = await prisma.resetPassword.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: ResetPasswordFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a ResetPassword.
     * @param {ResetPasswordAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const resetPassword = await prisma.resetPassword.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: ResetPasswordAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of ResetPasswords.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordCountArgs} args - Arguments to filter ResetPasswords to count.
     * @example
     * // Count the number of ResetPasswords
     * const count = await prisma.resetPassword.count({
     *   where: {
     *     // ... the filter for the ResetPasswords we want to count
     *   }
     * })
    **/
    count<T extends ResetPasswordCountArgs>(
      args?: Subset<T, ResetPasswordCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], ResetPasswordCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a ResetPassword.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends ResetPasswordAggregateArgs>(args: Subset<T, ResetPasswordAggregateArgs>): Prisma.PrismaPromise<GetResetPasswordAggregateType<T>>

    /**
     * Group by ResetPassword.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ResetPasswordGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends ResetPasswordGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: ResetPasswordGroupByArgs['orderBy'] }
        : { orderBy?: ResetPasswordGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, ResetPasswordGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetResetPasswordGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the ResetPassword model
   */
  readonly fields: ResetPasswordFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for ResetPassword.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__ResetPasswordClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the ResetPassword model
   */ 
  interface ResetPasswordFieldRefs {
    readonly id: FieldRef<"ResetPassword", 'String'>
    readonly UserId: FieldRef<"ResetPassword", 'String'>
    readonly token: FieldRef<"ResetPassword", 'String'>
    readonly isReset: FieldRef<"ResetPassword", 'Boolean'>
    readonly resetTime: FieldRef<"ResetPassword", 'DateTime'>
    readonly createdAt: FieldRef<"ResetPassword", 'DateTime'>
    readonly updatedAt: FieldRef<"ResetPassword", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * ResetPassword findUnique
   */
  export type ResetPasswordFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter, which ResetPassword to fetch.
     */
    where: ResetPasswordWhereUniqueInput
  }

  /**
   * ResetPassword findUniqueOrThrow
   */
  export type ResetPasswordFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter, which ResetPassword to fetch.
     */
    where: ResetPasswordWhereUniqueInput
  }

  /**
   * ResetPassword findFirst
   */
  export type ResetPasswordFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter, which ResetPassword to fetch.
     */
    where?: ResetPasswordWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ResetPasswords to fetch.
     */
    orderBy?: ResetPasswordOrderByWithRelationInput | ResetPasswordOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for ResetPasswords.
     */
    cursor?: ResetPasswordWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ResetPasswords from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ResetPasswords.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of ResetPasswords.
     */
    distinct?: ResetPasswordScalarFieldEnum | ResetPasswordScalarFieldEnum[]
  }

  /**
   * ResetPassword findFirstOrThrow
   */
  export type ResetPasswordFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter, which ResetPassword to fetch.
     */
    where?: ResetPasswordWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ResetPasswords to fetch.
     */
    orderBy?: ResetPasswordOrderByWithRelationInput | ResetPasswordOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for ResetPasswords.
     */
    cursor?: ResetPasswordWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ResetPasswords from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ResetPasswords.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of ResetPasswords.
     */
    distinct?: ResetPasswordScalarFieldEnum | ResetPasswordScalarFieldEnum[]
  }

  /**
   * ResetPassword findMany
   */
  export type ResetPasswordFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter, which ResetPasswords to fetch.
     */
    where?: ResetPasswordWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ResetPasswords to fetch.
     */
    orderBy?: ResetPasswordOrderByWithRelationInput | ResetPasswordOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing ResetPasswords.
     */
    cursor?: ResetPasswordWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ResetPasswords from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ResetPasswords.
     */
    skip?: number
    distinct?: ResetPasswordScalarFieldEnum | ResetPasswordScalarFieldEnum[]
  }

  /**
   * ResetPassword create
   */
  export type ResetPasswordCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * The data needed to create a ResetPassword.
     */
    data: XOR<ResetPasswordCreateInput, ResetPasswordUncheckedCreateInput>
  }

  /**
   * ResetPassword createMany
   */
  export type ResetPasswordCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many ResetPasswords.
     */
    data: ResetPasswordCreateManyInput | ResetPasswordCreateManyInput[]
  }

  /**
   * ResetPassword update
   */
  export type ResetPasswordUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * The data needed to update a ResetPassword.
     */
    data: XOR<ResetPasswordUpdateInput, ResetPasswordUncheckedUpdateInput>
    /**
     * Choose, which ResetPassword to update.
     */
    where: ResetPasswordWhereUniqueInput
  }

  /**
   * ResetPassword updateMany
   */
  export type ResetPasswordUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update ResetPasswords.
     */
    data: XOR<ResetPasswordUpdateManyMutationInput, ResetPasswordUncheckedUpdateManyInput>
    /**
     * Filter which ResetPasswords to update
     */
    where?: ResetPasswordWhereInput
  }

  /**
   * ResetPassword upsert
   */
  export type ResetPasswordUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * The filter to search for the ResetPassword to update in case it exists.
     */
    where: ResetPasswordWhereUniqueInput
    /**
     * In case the ResetPassword found by the `where` argument doesn't exist, create a new ResetPassword with this data.
     */
    create: XOR<ResetPasswordCreateInput, ResetPasswordUncheckedCreateInput>
    /**
     * In case the ResetPassword was found with the provided `where` argument, update it with this data.
     */
    update: XOR<ResetPasswordUpdateInput, ResetPasswordUncheckedUpdateInput>
  }

  /**
   * ResetPassword delete
   */
  export type ResetPasswordDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
    /**
     * Filter which ResetPassword to delete.
     */
    where: ResetPasswordWhereUniqueInput
  }

  /**
   * ResetPassword deleteMany
   */
  export type ResetPasswordDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which ResetPasswords to delete
     */
    where?: ResetPasswordWhereInput
  }

  /**
   * ResetPassword findRaw
   */
  export type ResetPasswordFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * ResetPassword aggregateRaw
   */
  export type ResetPasswordAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * ResetPassword without action
   */
  export type ResetPasswordDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ResetPassword
     */
    select?: ResetPasswordSelect<ExtArgs> | null
  }


  /**
   * Model VerifyPhone
   */

  export type AggregateVerifyPhone = {
    _count: VerifyPhoneCountAggregateOutputType | null
    _avg: VerifyPhoneAvgAggregateOutputType | null
    _sum: VerifyPhoneSumAggregateOutputType | null
    _min: VerifyPhoneMinAggregateOutputType | null
    _max: VerifyPhoneMaxAggregateOutputType | null
  }

  export type VerifyPhoneAvgAggregateOutputType = {
    otp: number | null
  }

  export type VerifyPhoneSumAggregateOutputType = {
    otp: number | null
  }

  export type VerifyPhoneMinAggregateOutputType = {
    id: string | null
    UserId: string | null
    phone: string | null
    otp: number | null
    isVerify: boolean | null
    verifyTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type VerifyPhoneMaxAggregateOutputType = {
    id: string | null
    UserId: string | null
    phone: string | null
    otp: number | null
    isVerify: boolean | null
    verifyTime: Date | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type VerifyPhoneCountAggregateOutputType = {
    id: number
    UserId: number
    phone: number
    otp: number
    isVerify: number
    verifyTime: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type VerifyPhoneAvgAggregateInputType = {
    otp?: true
  }

  export type VerifyPhoneSumAggregateInputType = {
    otp?: true
  }

  export type VerifyPhoneMinAggregateInputType = {
    id?: true
    UserId?: true
    phone?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type VerifyPhoneMaxAggregateInputType = {
    id?: true
    UserId?: true
    phone?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
  }

  export type VerifyPhoneCountAggregateInputType = {
    id?: true
    UserId?: true
    phone?: true
    otp?: true
    isVerify?: true
    verifyTime?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type VerifyPhoneAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which VerifyPhone to aggregate.
     */
    where?: VerifyPhoneWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyPhones to fetch.
     */
    orderBy?: VerifyPhoneOrderByWithRelationInput | VerifyPhoneOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: VerifyPhoneWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyPhones from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyPhones.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned VerifyPhones
    **/
    _count?: true | VerifyPhoneCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to average
    **/
    _avg?: VerifyPhoneAvgAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to sum
    **/
    _sum?: VerifyPhoneSumAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: VerifyPhoneMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: VerifyPhoneMaxAggregateInputType
  }

  export type GetVerifyPhoneAggregateType<T extends VerifyPhoneAggregateArgs> = {
        [P in keyof T & keyof AggregateVerifyPhone]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateVerifyPhone[P]>
      : GetScalarType<T[P], AggregateVerifyPhone[P]>
  }




  export type VerifyPhoneGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: VerifyPhoneWhereInput
    orderBy?: VerifyPhoneOrderByWithAggregationInput | VerifyPhoneOrderByWithAggregationInput[]
    by: VerifyPhoneScalarFieldEnum[] | VerifyPhoneScalarFieldEnum
    having?: VerifyPhoneScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: VerifyPhoneCountAggregateInputType | true
    _avg?: VerifyPhoneAvgAggregateInputType
    _sum?: VerifyPhoneSumAggregateInputType
    _min?: VerifyPhoneMinAggregateInputType
    _max?: VerifyPhoneMaxAggregateInputType
  }

  export type VerifyPhoneGroupByOutputType = {
    id: string
    UserId: string
    phone: string
    otp: number
    isVerify: boolean
    verifyTime: Date | null
    createdAt: Date
    updatedAt: Date
    _count: VerifyPhoneCountAggregateOutputType | null
    _avg: VerifyPhoneAvgAggregateOutputType | null
    _sum: VerifyPhoneSumAggregateOutputType | null
    _min: VerifyPhoneMinAggregateOutputType | null
    _max: VerifyPhoneMaxAggregateOutputType | null
  }

  type GetVerifyPhoneGroupByPayload<T extends VerifyPhoneGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<VerifyPhoneGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof VerifyPhoneGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], VerifyPhoneGroupByOutputType[P]>
            : GetScalarType<T[P], VerifyPhoneGroupByOutputType[P]>
        }
      >
    >


  export type VerifyPhoneSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    UserId?: boolean
    phone?: boolean
    otp?: boolean
    isVerify?: boolean
    verifyTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["verifyPhone"]>


  export type VerifyPhoneSelectScalar = {
    id?: boolean
    UserId?: boolean
    phone?: boolean
    otp?: boolean
    isVerify?: boolean
    verifyTime?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $VerifyPhonePayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "VerifyPhone"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      UserId: string
      phone: string
      otp: number
      isVerify: boolean
      verifyTime: Date | null
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["verifyPhone"]>
    composites: {}
  }

  type VerifyPhoneGetPayload<S extends boolean | null | undefined | VerifyPhoneDefaultArgs> = $Result.GetResult<Prisma.$VerifyPhonePayload, S>

  type VerifyPhoneCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<VerifyPhoneFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: VerifyPhoneCountAggregateInputType | true
    }

  export interface VerifyPhoneDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['VerifyPhone'], meta: { name: 'VerifyPhone' } }
    /**
     * Find zero or one VerifyPhone that matches the filter.
     * @param {VerifyPhoneFindUniqueArgs} args - Arguments to find a VerifyPhone
     * @example
     * // Get one VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends VerifyPhoneFindUniqueArgs>(args: SelectSubset<T, VerifyPhoneFindUniqueArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one VerifyPhone that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {VerifyPhoneFindUniqueOrThrowArgs} args - Arguments to find a VerifyPhone
     * @example
     * // Get one VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends VerifyPhoneFindUniqueOrThrowArgs>(args: SelectSubset<T, VerifyPhoneFindUniqueOrThrowArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first VerifyPhone that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneFindFirstArgs} args - Arguments to find a VerifyPhone
     * @example
     * // Get one VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends VerifyPhoneFindFirstArgs>(args?: SelectSubset<T, VerifyPhoneFindFirstArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first VerifyPhone that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneFindFirstOrThrowArgs} args - Arguments to find a VerifyPhone
     * @example
     * // Get one VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends VerifyPhoneFindFirstOrThrowArgs>(args?: SelectSubset<T, VerifyPhoneFindFirstOrThrowArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more VerifyPhones that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all VerifyPhones
     * const verifyPhones = await prisma.verifyPhone.findMany()
     * 
     * // Get first 10 VerifyPhones
     * const verifyPhones = await prisma.verifyPhone.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const verifyPhoneWithIdOnly = await prisma.verifyPhone.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends VerifyPhoneFindManyArgs>(args?: SelectSubset<T, VerifyPhoneFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "findMany">>

    /**
     * Create a VerifyPhone.
     * @param {VerifyPhoneCreateArgs} args - Arguments to create a VerifyPhone.
     * @example
     * // Create one VerifyPhone
     * const VerifyPhone = await prisma.verifyPhone.create({
     *   data: {
     *     // ... data to create a VerifyPhone
     *   }
     * })
     * 
     */
    create<T extends VerifyPhoneCreateArgs>(args: SelectSubset<T, VerifyPhoneCreateArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many VerifyPhones.
     * @param {VerifyPhoneCreateManyArgs} args - Arguments to create many VerifyPhones.
     * @example
     * // Create many VerifyPhones
     * const verifyPhone = await prisma.verifyPhone.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends VerifyPhoneCreateManyArgs>(args?: SelectSubset<T, VerifyPhoneCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a VerifyPhone.
     * @param {VerifyPhoneDeleteArgs} args - Arguments to delete one VerifyPhone.
     * @example
     * // Delete one VerifyPhone
     * const VerifyPhone = await prisma.verifyPhone.delete({
     *   where: {
     *     // ... filter to delete one VerifyPhone
     *   }
     * })
     * 
     */
    delete<T extends VerifyPhoneDeleteArgs>(args: SelectSubset<T, VerifyPhoneDeleteArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one VerifyPhone.
     * @param {VerifyPhoneUpdateArgs} args - Arguments to update one VerifyPhone.
     * @example
     * // Update one VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends VerifyPhoneUpdateArgs>(args: SelectSubset<T, VerifyPhoneUpdateArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more VerifyPhones.
     * @param {VerifyPhoneDeleteManyArgs} args - Arguments to filter VerifyPhones to delete.
     * @example
     * // Delete a few VerifyPhones
     * const { count } = await prisma.verifyPhone.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends VerifyPhoneDeleteManyArgs>(args?: SelectSubset<T, VerifyPhoneDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more VerifyPhones.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many VerifyPhones
     * const verifyPhone = await prisma.verifyPhone.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends VerifyPhoneUpdateManyArgs>(args: SelectSubset<T, VerifyPhoneUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one VerifyPhone.
     * @param {VerifyPhoneUpsertArgs} args - Arguments to update or create a VerifyPhone.
     * @example
     * // Update or create a VerifyPhone
     * const verifyPhone = await prisma.verifyPhone.upsert({
     *   create: {
     *     // ... data to create a VerifyPhone
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the VerifyPhone we want to update
     *   }
     * })
     */
    upsert<T extends VerifyPhoneUpsertArgs>(args: SelectSubset<T, VerifyPhoneUpsertArgs<ExtArgs>>): Prisma__VerifyPhoneClient<$Result.GetResult<Prisma.$VerifyPhonePayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more VerifyPhones that matches the filter.
     * @param {VerifyPhoneFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const verifyPhone = await prisma.verifyPhone.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: VerifyPhoneFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a VerifyPhone.
     * @param {VerifyPhoneAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const verifyPhone = await prisma.verifyPhone.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: VerifyPhoneAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of VerifyPhones.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneCountArgs} args - Arguments to filter VerifyPhones to count.
     * @example
     * // Count the number of VerifyPhones
     * const count = await prisma.verifyPhone.count({
     *   where: {
     *     // ... the filter for the VerifyPhones we want to count
     *   }
     * })
    **/
    count<T extends VerifyPhoneCountArgs>(
      args?: Subset<T, VerifyPhoneCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], VerifyPhoneCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a VerifyPhone.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends VerifyPhoneAggregateArgs>(args: Subset<T, VerifyPhoneAggregateArgs>): Prisma.PrismaPromise<GetVerifyPhoneAggregateType<T>>

    /**
     * Group by VerifyPhone.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {VerifyPhoneGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends VerifyPhoneGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: VerifyPhoneGroupByArgs['orderBy'] }
        : { orderBy?: VerifyPhoneGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, VerifyPhoneGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetVerifyPhoneGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the VerifyPhone model
   */
  readonly fields: VerifyPhoneFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for VerifyPhone.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__VerifyPhoneClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the VerifyPhone model
   */ 
  interface VerifyPhoneFieldRefs {
    readonly id: FieldRef<"VerifyPhone", 'String'>
    readonly UserId: FieldRef<"VerifyPhone", 'String'>
    readonly phone: FieldRef<"VerifyPhone", 'String'>
    readonly otp: FieldRef<"VerifyPhone", 'Int'>
    readonly isVerify: FieldRef<"VerifyPhone", 'Boolean'>
    readonly verifyTime: FieldRef<"VerifyPhone", 'DateTime'>
    readonly createdAt: FieldRef<"VerifyPhone", 'DateTime'>
    readonly updatedAt: FieldRef<"VerifyPhone", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * VerifyPhone findUnique
   */
  export type VerifyPhoneFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter, which VerifyPhone to fetch.
     */
    where: VerifyPhoneWhereUniqueInput
  }

  /**
   * VerifyPhone findUniqueOrThrow
   */
  export type VerifyPhoneFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter, which VerifyPhone to fetch.
     */
    where: VerifyPhoneWhereUniqueInput
  }

  /**
   * VerifyPhone findFirst
   */
  export type VerifyPhoneFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter, which VerifyPhone to fetch.
     */
    where?: VerifyPhoneWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyPhones to fetch.
     */
    orderBy?: VerifyPhoneOrderByWithRelationInput | VerifyPhoneOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for VerifyPhones.
     */
    cursor?: VerifyPhoneWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyPhones from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyPhones.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of VerifyPhones.
     */
    distinct?: VerifyPhoneScalarFieldEnum | VerifyPhoneScalarFieldEnum[]
  }

  /**
   * VerifyPhone findFirstOrThrow
   */
  export type VerifyPhoneFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter, which VerifyPhone to fetch.
     */
    where?: VerifyPhoneWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyPhones to fetch.
     */
    orderBy?: VerifyPhoneOrderByWithRelationInput | VerifyPhoneOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for VerifyPhones.
     */
    cursor?: VerifyPhoneWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyPhones from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyPhones.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of VerifyPhones.
     */
    distinct?: VerifyPhoneScalarFieldEnum | VerifyPhoneScalarFieldEnum[]
  }

  /**
   * VerifyPhone findMany
   */
  export type VerifyPhoneFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter, which VerifyPhones to fetch.
     */
    where?: VerifyPhoneWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of VerifyPhones to fetch.
     */
    orderBy?: VerifyPhoneOrderByWithRelationInput | VerifyPhoneOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing VerifyPhones.
     */
    cursor?: VerifyPhoneWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` VerifyPhones from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` VerifyPhones.
     */
    skip?: number
    distinct?: VerifyPhoneScalarFieldEnum | VerifyPhoneScalarFieldEnum[]
  }

  /**
   * VerifyPhone create
   */
  export type VerifyPhoneCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * The data needed to create a VerifyPhone.
     */
    data: XOR<VerifyPhoneCreateInput, VerifyPhoneUncheckedCreateInput>
  }

  /**
   * VerifyPhone createMany
   */
  export type VerifyPhoneCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many VerifyPhones.
     */
    data: VerifyPhoneCreateManyInput | VerifyPhoneCreateManyInput[]
  }

  /**
   * VerifyPhone update
   */
  export type VerifyPhoneUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * The data needed to update a VerifyPhone.
     */
    data: XOR<VerifyPhoneUpdateInput, VerifyPhoneUncheckedUpdateInput>
    /**
     * Choose, which VerifyPhone to update.
     */
    where: VerifyPhoneWhereUniqueInput
  }

  /**
   * VerifyPhone updateMany
   */
  export type VerifyPhoneUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update VerifyPhones.
     */
    data: XOR<VerifyPhoneUpdateManyMutationInput, VerifyPhoneUncheckedUpdateManyInput>
    /**
     * Filter which VerifyPhones to update
     */
    where?: VerifyPhoneWhereInput
  }

  /**
   * VerifyPhone upsert
   */
  export type VerifyPhoneUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * The filter to search for the VerifyPhone to update in case it exists.
     */
    where: VerifyPhoneWhereUniqueInput
    /**
     * In case the VerifyPhone found by the `where` argument doesn't exist, create a new VerifyPhone with this data.
     */
    create: XOR<VerifyPhoneCreateInput, VerifyPhoneUncheckedCreateInput>
    /**
     * In case the VerifyPhone was found with the provided `where` argument, update it with this data.
     */
    update: XOR<VerifyPhoneUpdateInput, VerifyPhoneUncheckedUpdateInput>
  }

  /**
   * VerifyPhone delete
   */
  export type VerifyPhoneDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
    /**
     * Filter which VerifyPhone to delete.
     */
    where: VerifyPhoneWhereUniqueInput
  }

  /**
   * VerifyPhone deleteMany
   */
  export type VerifyPhoneDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which VerifyPhones to delete
     */
    where?: VerifyPhoneWhereInput
  }

  /**
   * VerifyPhone findRaw
   */
  export type VerifyPhoneFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * VerifyPhone aggregateRaw
   */
  export type VerifyPhoneAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * VerifyPhone without action
   */
  export type VerifyPhoneDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the VerifyPhone
     */
    select?: VerifyPhoneSelect<ExtArgs> | null
  }


  /**
   * Model DeviceInfo
   */

  export type AggregateDeviceInfo = {
    _count: DeviceInfoCountAggregateOutputType | null
    _min: DeviceInfoMinAggregateOutputType | null
    _max: DeviceInfoMaxAggregateOutputType | null
  }

  export type DeviceInfoMinAggregateOutputType = {
    id: string | null
    deviceName: string | null
    refreshToken: string | null
    ip: string | null
    deviceVersion: string | null
    fcmToken: string | null
    lastLogin: Date | null
    UserId: string | null
    description: string | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type DeviceInfoMaxAggregateOutputType = {
    id: string | null
    deviceName: string | null
    refreshToken: string | null
    ip: string | null
    deviceVersion: string | null
    fcmToken: string | null
    lastLogin: Date | null
    UserId: string | null
    description: string | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type DeviceInfoCountAggregateOutputType = {
    id: number
    deviceName: number
    refreshToken: number
    ip: number
    deviceVersion: number
    fcmToken: number
    lastLogin: number
    UserId: number
    description: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type DeviceInfoMinAggregateInputType = {
    id?: true
    deviceName?: true
    refreshToken?: true
    ip?: true
    deviceVersion?: true
    fcmToken?: true
    lastLogin?: true
    UserId?: true
    description?: true
    createdAt?: true
    updatedAt?: true
  }

  export type DeviceInfoMaxAggregateInputType = {
    id?: true
    deviceName?: true
    refreshToken?: true
    ip?: true
    deviceVersion?: true
    fcmToken?: true
    lastLogin?: true
    UserId?: true
    description?: true
    createdAt?: true
    updatedAt?: true
  }

  export type DeviceInfoCountAggregateInputType = {
    id?: true
    deviceName?: true
    refreshToken?: true
    ip?: true
    deviceVersion?: true
    fcmToken?: true
    lastLogin?: true
    UserId?: true
    description?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type DeviceInfoAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which DeviceInfo to aggregate.
     */
    where?: DeviceInfoWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of DeviceInfos to fetch.
     */
    orderBy?: DeviceInfoOrderByWithRelationInput | DeviceInfoOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: DeviceInfoWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` DeviceInfos from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` DeviceInfos.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned DeviceInfos
    **/
    _count?: true | DeviceInfoCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: DeviceInfoMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: DeviceInfoMaxAggregateInputType
  }

  export type GetDeviceInfoAggregateType<T extends DeviceInfoAggregateArgs> = {
        [P in keyof T & keyof AggregateDeviceInfo]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateDeviceInfo[P]>
      : GetScalarType<T[P], AggregateDeviceInfo[P]>
  }




  export type DeviceInfoGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: DeviceInfoWhereInput
    orderBy?: DeviceInfoOrderByWithAggregationInput | DeviceInfoOrderByWithAggregationInput[]
    by: DeviceInfoScalarFieldEnum[] | DeviceInfoScalarFieldEnum
    having?: DeviceInfoScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: DeviceInfoCountAggregateInputType | true
    _min?: DeviceInfoMinAggregateInputType
    _max?: DeviceInfoMaxAggregateInputType
  }

  export type DeviceInfoGroupByOutputType = {
    id: string
    deviceName: string | null
    refreshToken: string
    ip: string
    deviceVersion: string | null
    fcmToken: string | null
    lastLogin: Date
    UserId: string
    description: string | null
    createdAt: Date
    updatedAt: Date
    _count: DeviceInfoCountAggregateOutputType | null
    _min: DeviceInfoMinAggregateOutputType | null
    _max: DeviceInfoMaxAggregateOutputType | null
  }

  type GetDeviceInfoGroupByPayload<T extends DeviceInfoGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<DeviceInfoGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof DeviceInfoGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], DeviceInfoGroupByOutputType[P]>
            : GetScalarType<T[P], DeviceInfoGroupByOutputType[P]>
        }
      >
    >


  export type DeviceInfoSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    deviceName?: boolean
    refreshToken?: boolean
    ip?: boolean
    deviceVersion?: boolean
    fcmToken?: boolean
    lastLogin?: boolean
    UserId?: boolean
    description?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["deviceInfo"]>


  export type DeviceInfoSelectScalar = {
    id?: boolean
    deviceName?: boolean
    refreshToken?: boolean
    ip?: boolean
    deviceVersion?: boolean
    fcmToken?: boolean
    lastLogin?: boolean
    UserId?: boolean
    description?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $DeviceInfoPayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "DeviceInfo"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      deviceName: string | null
      refreshToken: string
      ip: string
      deviceVersion: string | null
      fcmToken: string | null
      lastLogin: Date
      UserId: string
      description: string | null
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["deviceInfo"]>
    composites: {}
  }

  type DeviceInfoGetPayload<S extends boolean | null | undefined | DeviceInfoDefaultArgs> = $Result.GetResult<Prisma.$DeviceInfoPayload, S>

  type DeviceInfoCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<DeviceInfoFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: DeviceInfoCountAggregateInputType | true
    }

  export interface DeviceInfoDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['DeviceInfo'], meta: { name: 'DeviceInfo' } }
    /**
     * Find zero or one DeviceInfo that matches the filter.
     * @param {DeviceInfoFindUniqueArgs} args - Arguments to find a DeviceInfo
     * @example
     * // Get one DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends DeviceInfoFindUniqueArgs>(args: SelectSubset<T, DeviceInfoFindUniqueArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one DeviceInfo that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {DeviceInfoFindUniqueOrThrowArgs} args - Arguments to find a DeviceInfo
     * @example
     * // Get one DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends DeviceInfoFindUniqueOrThrowArgs>(args: SelectSubset<T, DeviceInfoFindUniqueOrThrowArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first DeviceInfo that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoFindFirstArgs} args - Arguments to find a DeviceInfo
     * @example
     * // Get one DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends DeviceInfoFindFirstArgs>(args?: SelectSubset<T, DeviceInfoFindFirstArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first DeviceInfo that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoFindFirstOrThrowArgs} args - Arguments to find a DeviceInfo
     * @example
     * // Get one DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends DeviceInfoFindFirstOrThrowArgs>(args?: SelectSubset<T, DeviceInfoFindFirstOrThrowArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more DeviceInfos that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all DeviceInfos
     * const deviceInfos = await prisma.deviceInfo.findMany()
     * 
     * // Get first 10 DeviceInfos
     * const deviceInfos = await prisma.deviceInfo.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const deviceInfoWithIdOnly = await prisma.deviceInfo.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends DeviceInfoFindManyArgs>(args?: SelectSubset<T, DeviceInfoFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "findMany">>

    /**
     * Create a DeviceInfo.
     * @param {DeviceInfoCreateArgs} args - Arguments to create a DeviceInfo.
     * @example
     * // Create one DeviceInfo
     * const DeviceInfo = await prisma.deviceInfo.create({
     *   data: {
     *     // ... data to create a DeviceInfo
     *   }
     * })
     * 
     */
    create<T extends DeviceInfoCreateArgs>(args: SelectSubset<T, DeviceInfoCreateArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many DeviceInfos.
     * @param {DeviceInfoCreateManyArgs} args - Arguments to create many DeviceInfos.
     * @example
     * // Create many DeviceInfos
     * const deviceInfo = await prisma.deviceInfo.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends DeviceInfoCreateManyArgs>(args?: SelectSubset<T, DeviceInfoCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a DeviceInfo.
     * @param {DeviceInfoDeleteArgs} args - Arguments to delete one DeviceInfo.
     * @example
     * // Delete one DeviceInfo
     * const DeviceInfo = await prisma.deviceInfo.delete({
     *   where: {
     *     // ... filter to delete one DeviceInfo
     *   }
     * })
     * 
     */
    delete<T extends DeviceInfoDeleteArgs>(args: SelectSubset<T, DeviceInfoDeleteArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one DeviceInfo.
     * @param {DeviceInfoUpdateArgs} args - Arguments to update one DeviceInfo.
     * @example
     * // Update one DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends DeviceInfoUpdateArgs>(args: SelectSubset<T, DeviceInfoUpdateArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more DeviceInfos.
     * @param {DeviceInfoDeleteManyArgs} args - Arguments to filter DeviceInfos to delete.
     * @example
     * // Delete a few DeviceInfos
     * const { count } = await prisma.deviceInfo.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends DeviceInfoDeleteManyArgs>(args?: SelectSubset<T, DeviceInfoDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more DeviceInfos.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many DeviceInfos
     * const deviceInfo = await prisma.deviceInfo.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends DeviceInfoUpdateManyArgs>(args: SelectSubset<T, DeviceInfoUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one DeviceInfo.
     * @param {DeviceInfoUpsertArgs} args - Arguments to update or create a DeviceInfo.
     * @example
     * // Update or create a DeviceInfo
     * const deviceInfo = await prisma.deviceInfo.upsert({
     *   create: {
     *     // ... data to create a DeviceInfo
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the DeviceInfo we want to update
     *   }
     * })
     */
    upsert<T extends DeviceInfoUpsertArgs>(args: SelectSubset<T, DeviceInfoUpsertArgs<ExtArgs>>): Prisma__DeviceInfoClient<$Result.GetResult<Prisma.$DeviceInfoPayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more DeviceInfos that matches the filter.
     * @param {DeviceInfoFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const deviceInfo = await prisma.deviceInfo.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: DeviceInfoFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a DeviceInfo.
     * @param {DeviceInfoAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const deviceInfo = await prisma.deviceInfo.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: DeviceInfoAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of DeviceInfos.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoCountArgs} args - Arguments to filter DeviceInfos to count.
     * @example
     * // Count the number of DeviceInfos
     * const count = await prisma.deviceInfo.count({
     *   where: {
     *     // ... the filter for the DeviceInfos we want to count
     *   }
     * })
    **/
    count<T extends DeviceInfoCountArgs>(
      args?: Subset<T, DeviceInfoCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], DeviceInfoCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a DeviceInfo.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends DeviceInfoAggregateArgs>(args: Subset<T, DeviceInfoAggregateArgs>): Prisma.PrismaPromise<GetDeviceInfoAggregateType<T>>

    /**
     * Group by DeviceInfo.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {DeviceInfoGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends DeviceInfoGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: DeviceInfoGroupByArgs['orderBy'] }
        : { orderBy?: DeviceInfoGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, DeviceInfoGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetDeviceInfoGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the DeviceInfo model
   */
  readonly fields: DeviceInfoFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for DeviceInfo.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__DeviceInfoClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the DeviceInfo model
   */ 
  interface DeviceInfoFieldRefs {
    readonly id: FieldRef<"DeviceInfo", 'String'>
    readonly deviceName: FieldRef<"DeviceInfo", 'String'>
    readonly refreshToken: FieldRef<"DeviceInfo", 'String'>
    readonly ip: FieldRef<"DeviceInfo", 'String'>
    readonly deviceVersion: FieldRef<"DeviceInfo", 'String'>
    readonly fcmToken: FieldRef<"DeviceInfo", 'String'>
    readonly lastLogin: FieldRef<"DeviceInfo", 'DateTime'>
    readonly UserId: FieldRef<"DeviceInfo", 'String'>
    readonly description: FieldRef<"DeviceInfo", 'String'>
    readonly createdAt: FieldRef<"DeviceInfo", 'DateTime'>
    readonly updatedAt: FieldRef<"DeviceInfo", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * DeviceInfo findUnique
   */
  export type DeviceInfoFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter, which DeviceInfo to fetch.
     */
    where: DeviceInfoWhereUniqueInput
  }

  /**
   * DeviceInfo findUniqueOrThrow
   */
  export type DeviceInfoFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter, which DeviceInfo to fetch.
     */
    where: DeviceInfoWhereUniqueInput
  }

  /**
   * DeviceInfo findFirst
   */
  export type DeviceInfoFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter, which DeviceInfo to fetch.
     */
    where?: DeviceInfoWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of DeviceInfos to fetch.
     */
    orderBy?: DeviceInfoOrderByWithRelationInput | DeviceInfoOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for DeviceInfos.
     */
    cursor?: DeviceInfoWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` DeviceInfos from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` DeviceInfos.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of DeviceInfos.
     */
    distinct?: DeviceInfoScalarFieldEnum | DeviceInfoScalarFieldEnum[]
  }

  /**
   * DeviceInfo findFirstOrThrow
   */
  export type DeviceInfoFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter, which DeviceInfo to fetch.
     */
    where?: DeviceInfoWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of DeviceInfos to fetch.
     */
    orderBy?: DeviceInfoOrderByWithRelationInput | DeviceInfoOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for DeviceInfos.
     */
    cursor?: DeviceInfoWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` DeviceInfos from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` DeviceInfos.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of DeviceInfos.
     */
    distinct?: DeviceInfoScalarFieldEnum | DeviceInfoScalarFieldEnum[]
  }

  /**
   * DeviceInfo findMany
   */
  export type DeviceInfoFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter, which DeviceInfos to fetch.
     */
    where?: DeviceInfoWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of DeviceInfos to fetch.
     */
    orderBy?: DeviceInfoOrderByWithRelationInput | DeviceInfoOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing DeviceInfos.
     */
    cursor?: DeviceInfoWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` DeviceInfos from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` DeviceInfos.
     */
    skip?: number
    distinct?: DeviceInfoScalarFieldEnum | DeviceInfoScalarFieldEnum[]
  }

  /**
   * DeviceInfo create
   */
  export type DeviceInfoCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * The data needed to create a DeviceInfo.
     */
    data: XOR<DeviceInfoCreateInput, DeviceInfoUncheckedCreateInput>
  }

  /**
   * DeviceInfo createMany
   */
  export type DeviceInfoCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many DeviceInfos.
     */
    data: DeviceInfoCreateManyInput | DeviceInfoCreateManyInput[]
  }

  /**
   * DeviceInfo update
   */
  export type DeviceInfoUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * The data needed to update a DeviceInfo.
     */
    data: XOR<DeviceInfoUpdateInput, DeviceInfoUncheckedUpdateInput>
    /**
     * Choose, which DeviceInfo to update.
     */
    where: DeviceInfoWhereUniqueInput
  }

  /**
   * DeviceInfo updateMany
   */
  export type DeviceInfoUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update DeviceInfos.
     */
    data: XOR<DeviceInfoUpdateManyMutationInput, DeviceInfoUncheckedUpdateManyInput>
    /**
     * Filter which DeviceInfos to update
     */
    where?: DeviceInfoWhereInput
  }

  /**
   * DeviceInfo upsert
   */
  export type DeviceInfoUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * The filter to search for the DeviceInfo to update in case it exists.
     */
    where: DeviceInfoWhereUniqueInput
    /**
     * In case the DeviceInfo found by the `where` argument doesn't exist, create a new DeviceInfo with this data.
     */
    create: XOR<DeviceInfoCreateInput, DeviceInfoUncheckedCreateInput>
    /**
     * In case the DeviceInfo was found with the provided `where` argument, update it with this data.
     */
    update: XOR<DeviceInfoUpdateInput, DeviceInfoUncheckedUpdateInput>
  }

  /**
   * DeviceInfo delete
   */
  export type DeviceInfoDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
    /**
     * Filter which DeviceInfo to delete.
     */
    where: DeviceInfoWhereUniqueInput
  }

  /**
   * DeviceInfo deleteMany
   */
  export type DeviceInfoDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which DeviceInfos to delete
     */
    where?: DeviceInfoWhereInput
  }

  /**
   * DeviceInfo findRaw
   */
  export type DeviceInfoFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * DeviceInfo aggregateRaw
   */
  export type DeviceInfoAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * DeviceInfo without action
   */
  export type DeviceInfoDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the DeviceInfo
     */
    select?: DeviceInfoSelect<ExtArgs> | null
  }


  /**
   * Model ChangeLog
   */

  export type AggregateChangeLog = {
    _count: ChangeLogCountAggregateOutputType | null
    _min: ChangeLogMinAggregateOutputType | null
    _max: ChangeLogMaxAggregateOutputType | null
  }

  export type ChangeLogMinAggregateOutputType = {
    id: string | null
    module: string | null
    description: string | null
    userId: string | null
    role: $Enums.UserRole | null
    newValue: string | null
    oldValue: string | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type ChangeLogMaxAggregateOutputType = {
    id: string | null
    module: string | null
    description: string | null
    userId: string | null
    role: $Enums.UserRole | null
    newValue: string | null
    oldValue: string | null
    createdAt: Date | null
    updatedAt: Date | null
  }

  export type ChangeLogCountAggregateOutputType = {
    id: number
    module: number
    description: number
    newValues: number
    oldValues: number
    userId: number
    role: number
    newValue: number
    oldValue: number
    createdAt: number
    updatedAt: number
    _all: number
  }


  export type ChangeLogMinAggregateInputType = {
    id?: true
    module?: true
    description?: true
    userId?: true
    role?: true
    newValue?: true
    oldValue?: true
    createdAt?: true
    updatedAt?: true
  }

  export type ChangeLogMaxAggregateInputType = {
    id?: true
    module?: true
    description?: true
    userId?: true
    role?: true
    newValue?: true
    oldValue?: true
    createdAt?: true
    updatedAt?: true
  }

  export type ChangeLogCountAggregateInputType = {
    id?: true
    module?: true
    description?: true
    newValues?: true
    oldValues?: true
    userId?: true
    role?: true
    newValue?: true
    oldValue?: true
    createdAt?: true
    updatedAt?: true
    _all?: true
  }

  export type ChangeLogAggregateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which ChangeLog to aggregate.
     */
    where?: ChangeLogWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ChangeLogs to fetch.
     */
    orderBy?: ChangeLogOrderByWithRelationInput | ChangeLogOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the start position
     */
    cursor?: ChangeLogWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ChangeLogs from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ChangeLogs.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Count returned ChangeLogs
    **/
    _count?: true | ChangeLogCountAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the minimum value
    **/
    _min?: ChangeLogMinAggregateInputType
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/aggregations Aggregation Docs}
     * 
     * Select which fields to find the maximum value
    **/
    _max?: ChangeLogMaxAggregateInputType
  }

  export type GetChangeLogAggregateType<T extends ChangeLogAggregateArgs> = {
        [P in keyof T & keyof AggregateChangeLog]: P extends '_count' | 'count'
      ? T[P] extends true
        ? number
        : GetScalarType<T[P], AggregateChangeLog[P]>
      : GetScalarType<T[P], AggregateChangeLog[P]>
  }




  export type ChangeLogGroupByArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    where?: ChangeLogWhereInput
    orderBy?: ChangeLogOrderByWithAggregationInput | ChangeLogOrderByWithAggregationInput[]
    by: ChangeLogScalarFieldEnum[] | ChangeLogScalarFieldEnum
    having?: ChangeLogScalarWhereWithAggregatesInput
    take?: number
    skip?: number
    _count?: ChangeLogCountAggregateInputType | true
    _min?: ChangeLogMinAggregateInputType
    _max?: ChangeLogMaxAggregateInputType
  }

  export type ChangeLogGroupByOutputType = {
    id: string
    module: string
    description: string
    newValues: JsonValue
    oldValues: JsonValue
    userId: string
    role: $Enums.UserRole
    newValue: string | null
    oldValue: string | null
    createdAt: Date
    updatedAt: Date
    _count: ChangeLogCountAggregateOutputType | null
    _min: ChangeLogMinAggregateOutputType | null
    _max: ChangeLogMaxAggregateOutputType | null
  }

  type GetChangeLogGroupByPayload<T extends ChangeLogGroupByArgs> = Prisma.PrismaPromise<
    Array<
      PickEnumerable<ChangeLogGroupByOutputType, T['by']> &
        {
          [P in ((keyof T) & (keyof ChangeLogGroupByOutputType))]: P extends '_count'
            ? T[P] extends boolean
              ? number
              : GetScalarType<T[P], ChangeLogGroupByOutputType[P]>
            : GetScalarType<T[P], ChangeLogGroupByOutputType[P]>
        }
      >
    >


  export type ChangeLogSelect<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = $Extensions.GetSelect<{
    id?: boolean
    module?: boolean
    description?: boolean
    newValues?: boolean
    oldValues?: boolean
    userId?: boolean
    role?: boolean
    newValue?: boolean
    oldValue?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }, ExtArgs["result"]["changeLog"]>


  export type ChangeLogSelectScalar = {
    id?: boolean
    module?: boolean
    description?: boolean
    newValues?: boolean
    oldValues?: boolean
    userId?: boolean
    role?: boolean
    newValue?: boolean
    oldValue?: boolean
    createdAt?: boolean
    updatedAt?: boolean
  }


  export type $ChangeLogPayload<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    name: "ChangeLog"
    objects: {}
    scalars: $Extensions.GetPayloadResult<{
      id: string
      module: string
      description: string
      newValues: Prisma.JsonValue
      oldValues: Prisma.JsonValue
      userId: string
      role: $Enums.UserRole
      newValue: string | null
      oldValue: string | null
      createdAt: Date
      updatedAt: Date
    }, ExtArgs["result"]["changeLog"]>
    composites: {}
  }

  type ChangeLogGetPayload<S extends boolean | null | undefined | ChangeLogDefaultArgs> = $Result.GetResult<Prisma.$ChangeLogPayload, S>

  type ChangeLogCountArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = 
    Omit<ChangeLogFindManyArgs, 'select' | 'include' | 'distinct'> & {
      select?: ChangeLogCountAggregateInputType | true
    }

  export interface ChangeLogDelegate<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> {
    [K: symbol]: { types: Prisma.TypeMap<ExtArgs>['model']['ChangeLog'], meta: { name: 'ChangeLog' } }
    /**
     * Find zero or one ChangeLog that matches the filter.
     * @param {ChangeLogFindUniqueArgs} args - Arguments to find a ChangeLog
     * @example
     * // Get one ChangeLog
     * const changeLog = await prisma.changeLog.findUnique({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUnique<T extends ChangeLogFindUniqueArgs>(args: SelectSubset<T, ChangeLogFindUniqueArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "findUnique"> | null, null, ExtArgs>

    /**
     * Find one ChangeLog that matches the filter or throw an error with `error.code='P2025'` 
     * if no matches were found.
     * @param {ChangeLogFindUniqueOrThrowArgs} args - Arguments to find a ChangeLog
     * @example
     * // Get one ChangeLog
     * const changeLog = await prisma.changeLog.findUniqueOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findUniqueOrThrow<T extends ChangeLogFindUniqueOrThrowArgs>(args: SelectSubset<T, ChangeLogFindUniqueOrThrowArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "findUniqueOrThrow">, never, ExtArgs>

    /**
     * Find the first ChangeLog that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogFindFirstArgs} args - Arguments to find a ChangeLog
     * @example
     * // Get one ChangeLog
     * const changeLog = await prisma.changeLog.findFirst({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirst<T extends ChangeLogFindFirstArgs>(args?: SelectSubset<T, ChangeLogFindFirstArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "findFirst"> | null, null, ExtArgs>

    /**
     * Find the first ChangeLog that matches the filter or
     * throw `PrismaKnownClientError` with `P2025` code if no matches were found.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogFindFirstOrThrowArgs} args - Arguments to find a ChangeLog
     * @example
     * // Get one ChangeLog
     * const changeLog = await prisma.changeLog.findFirstOrThrow({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     */
    findFirstOrThrow<T extends ChangeLogFindFirstOrThrowArgs>(args?: SelectSubset<T, ChangeLogFindFirstOrThrowArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "findFirstOrThrow">, never, ExtArgs>

    /**
     * Find zero or more ChangeLogs that matches the filter.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogFindManyArgs} args - Arguments to filter and select certain fields only.
     * @example
     * // Get all ChangeLogs
     * const changeLogs = await prisma.changeLog.findMany()
     * 
     * // Get first 10 ChangeLogs
     * const changeLogs = await prisma.changeLog.findMany({ take: 10 })
     * 
     * // Only select the `id`
     * const changeLogWithIdOnly = await prisma.changeLog.findMany({ select: { id: true } })
     * 
     */
    findMany<T extends ChangeLogFindManyArgs>(args?: SelectSubset<T, ChangeLogFindManyArgs<ExtArgs>>): Prisma.PrismaPromise<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "findMany">>

    /**
     * Create a ChangeLog.
     * @param {ChangeLogCreateArgs} args - Arguments to create a ChangeLog.
     * @example
     * // Create one ChangeLog
     * const ChangeLog = await prisma.changeLog.create({
     *   data: {
     *     // ... data to create a ChangeLog
     *   }
     * })
     * 
     */
    create<T extends ChangeLogCreateArgs>(args: SelectSubset<T, ChangeLogCreateArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "create">, never, ExtArgs>

    /**
     * Create many ChangeLogs.
     * @param {ChangeLogCreateManyArgs} args - Arguments to create many ChangeLogs.
     * @example
     * // Create many ChangeLogs
     * const changeLog = await prisma.changeLog.createMany({
     *   data: [
     *     // ... provide data here
     *   ]
     * })
     *     
     */
    createMany<T extends ChangeLogCreateManyArgs>(args?: SelectSubset<T, ChangeLogCreateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Delete a ChangeLog.
     * @param {ChangeLogDeleteArgs} args - Arguments to delete one ChangeLog.
     * @example
     * // Delete one ChangeLog
     * const ChangeLog = await prisma.changeLog.delete({
     *   where: {
     *     // ... filter to delete one ChangeLog
     *   }
     * })
     * 
     */
    delete<T extends ChangeLogDeleteArgs>(args: SelectSubset<T, ChangeLogDeleteArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "delete">, never, ExtArgs>

    /**
     * Update one ChangeLog.
     * @param {ChangeLogUpdateArgs} args - Arguments to update one ChangeLog.
     * @example
     * // Update one ChangeLog
     * const changeLog = await prisma.changeLog.update({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    update<T extends ChangeLogUpdateArgs>(args: SelectSubset<T, ChangeLogUpdateArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "update">, never, ExtArgs>

    /**
     * Delete zero or more ChangeLogs.
     * @param {ChangeLogDeleteManyArgs} args - Arguments to filter ChangeLogs to delete.
     * @example
     * // Delete a few ChangeLogs
     * const { count } = await prisma.changeLog.deleteMany({
     *   where: {
     *     // ... provide filter here
     *   }
     * })
     * 
     */
    deleteMany<T extends ChangeLogDeleteManyArgs>(args?: SelectSubset<T, ChangeLogDeleteManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Update zero or more ChangeLogs.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogUpdateManyArgs} args - Arguments to update one or more rows.
     * @example
     * // Update many ChangeLogs
     * const changeLog = await prisma.changeLog.updateMany({
     *   where: {
     *     // ... provide filter here
     *   },
     *   data: {
     *     // ... provide data here
     *   }
     * })
     * 
     */
    updateMany<T extends ChangeLogUpdateManyArgs>(args: SelectSubset<T, ChangeLogUpdateManyArgs<ExtArgs>>): Prisma.PrismaPromise<BatchPayload>

    /**
     * Create or update one ChangeLog.
     * @param {ChangeLogUpsertArgs} args - Arguments to update or create a ChangeLog.
     * @example
     * // Update or create a ChangeLog
     * const changeLog = await prisma.changeLog.upsert({
     *   create: {
     *     // ... data to create a ChangeLog
     *   },
     *   update: {
     *     // ... in case it already exists, update
     *   },
     *   where: {
     *     // ... the filter for the ChangeLog we want to update
     *   }
     * })
     */
    upsert<T extends ChangeLogUpsertArgs>(args: SelectSubset<T, ChangeLogUpsertArgs<ExtArgs>>): Prisma__ChangeLogClient<$Result.GetResult<Prisma.$ChangeLogPayload<ExtArgs>, T, "upsert">, never, ExtArgs>

    /**
     * Find zero or more ChangeLogs that matches the filter.
     * @param {ChangeLogFindRawArgs} args - Select which filters you would like to apply.
     * @example
     * const changeLog = await prisma.changeLog.findRaw({
     *   filter: { age: { $gt: 25 } } 
     * })
     */
    findRaw(args?: ChangeLogFindRawArgs): Prisma.PrismaPromise<JsonObject>

    /**
     * Perform aggregation operations on a ChangeLog.
     * @param {ChangeLogAggregateRawArgs} args - Select which aggregations you would like to apply.
     * @example
     * const changeLog = await prisma.changeLog.aggregateRaw({
     *   pipeline: [
     *     { $match: { status: "registered" } },
     *     { $group: { _id: "$country", total: { $sum: 1 } } }
     *   ]
     * })
     */
    aggregateRaw(args?: ChangeLogAggregateRawArgs): Prisma.PrismaPromise<JsonObject>


    /**
     * Count the number of ChangeLogs.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogCountArgs} args - Arguments to filter ChangeLogs to count.
     * @example
     * // Count the number of ChangeLogs
     * const count = await prisma.changeLog.count({
     *   where: {
     *     // ... the filter for the ChangeLogs we want to count
     *   }
     * })
    **/
    count<T extends ChangeLogCountArgs>(
      args?: Subset<T, ChangeLogCountArgs>,
    ): Prisma.PrismaPromise<
      T extends $Utils.Record<'select', any>
        ? T['select'] extends true
          ? number
          : GetScalarType<T['select'], ChangeLogCountAggregateOutputType>
        : number
    >

    /**
     * Allows you to perform aggregations operations on a ChangeLog.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogAggregateArgs} args - Select which aggregations you would like to apply and on what fields.
     * @example
     * // Ordered by age ascending
     * // Where email contains prisma.io
     * // Limited to the 10 users
     * const aggregations = await prisma.user.aggregate({
     *   _avg: {
     *     age: true,
     *   },
     *   where: {
     *     email: {
     *       contains: "prisma.io",
     *     },
     *   },
     *   orderBy: {
     *     age: "asc",
     *   },
     *   take: 10,
     * })
    **/
    aggregate<T extends ChangeLogAggregateArgs>(args: Subset<T, ChangeLogAggregateArgs>): Prisma.PrismaPromise<GetChangeLogAggregateType<T>>

    /**
     * Group by ChangeLog.
     * Note, that providing `undefined` is treated as the value not being there.
     * Read more here: https://pris.ly/d/null-undefined
     * @param {ChangeLogGroupByArgs} args - Group by arguments.
     * @example
     * // Group by city, order by createdAt, get count
     * const result = await prisma.user.groupBy({
     *   by: ['city', 'createdAt'],
     *   orderBy: {
     *     createdAt: true
     *   },
     *   _count: {
     *     _all: true
     *   },
     * })
     * 
    **/
    groupBy<
      T extends ChangeLogGroupByArgs,
      HasSelectOrTake extends Or<
        Extends<'skip', Keys<T>>,
        Extends<'take', Keys<T>>
      >,
      OrderByArg extends True extends HasSelectOrTake
        ? { orderBy: ChangeLogGroupByArgs['orderBy'] }
        : { orderBy?: ChangeLogGroupByArgs['orderBy'] },
      OrderFields extends ExcludeUnderscoreKeys<Keys<MaybeTupleToUnion<T['orderBy']>>>,
      ByFields extends MaybeTupleToUnion<T['by']>,
      ByValid extends Has<ByFields, OrderFields>,
      HavingFields extends GetHavingFields<T['having']>,
      HavingValid extends Has<ByFields, HavingFields>,
      ByEmpty extends T['by'] extends never[] ? True : False,
      InputErrors extends ByEmpty extends True
      ? `Error: "by" must not be empty.`
      : HavingValid extends False
      ? {
          [P in HavingFields]: P extends ByFields
            ? never
            : P extends string
            ? `Error: Field "${P}" used in "having" needs to be provided in "by".`
            : [
                Error,
                'Field ',
                P,
                ` in "having" needs to be provided in "by"`,
              ]
        }[HavingFields]
      : 'take' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "take", you also need to provide "orderBy"'
      : 'skip' extends Keys<T>
      ? 'orderBy' extends Keys<T>
        ? ByValid extends True
          ? {}
          : {
              [P in OrderFields]: P extends ByFields
                ? never
                : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
            }[OrderFields]
        : 'Error: If you provide "skip", you also need to provide "orderBy"'
      : ByValid extends True
      ? {}
      : {
          [P in OrderFields]: P extends ByFields
            ? never
            : `Error: Field "${P}" in "orderBy" needs to be provided in "by"`
        }[OrderFields]
    >(args: SubsetIntersection<T, ChangeLogGroupByArgs, OrderByArg> & InputErrors): {} extends InputErrors ? GetChangeLogGroupByPayload<T> : Prisma.PrismaPromise<InputErrors>
  /**
   * Fields of the ChangeLog model
   */
  readonly fields: ChangeLogFieldRefs;
  }

  /**
   * The delegate class that acts as a "Promise-like" for ChangeLog.
   * Why is this prefixed with `Prisma__`?
   * Because we want to prevent naming conflicts as mentioned in
   * https://github.com/prisma/prisma-client-js/issues/707
   */
  export interface Prisma__ChangeLogClient<T, Null = never, ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> extends Prisma.PrismaPromise<T> {
    readonly [Symbol.toStringTag]: "PrismaPromise"
    /**
     * Attaches callbacks for the resolution and/or rejection of the Promise.
     * @param onfulfilled The callback to execute when the Promise is resolved.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of which ever callback is executed.
     */
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): $Utils.JsPromise<TResult1 | TResult2>
    /**
     * Attaches a callback for only the rejection of the Promise.
     * @param onrejected The callback to execute when the Promise is rejected.
     * @returns A Promise for the completion of the callback.
     */
    catch<TResult = never>(onrejected?: ((reason: any) => TResult | PromiseLike<TResult>) | undefined | null): $Utils.JsPromise<T | TResult>
    /**
     * Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The
     * resolved value cannot be modified from the callback.
     * @param onfinally The callback to execute when the Promise is settled (fulfilled or rejected).
     * @returns A Promise for the completion of the callback.
     */
    finally(onfinally?: (() => void) | undefined | null): $Utils.JsPromise<T>
  }




  /**
   * Fields of the ChangeLog model
   */ 
  interface ChangeLogFieldRefs {
    readonly id: FieldRef<"ChangeLog", 'String'>
    readonly module: FieldRef<"ChangeLog", 'String'>
    readonly description: FieldRef<"ChangeLog", 'String'>
    readonly newValues: FieldRef<"ChangeLog", 'Json'>
    readonly oldValues: FieldRef<"ChangeLog", 'Json'>
    readonly userId: FieldRef<"ChangeLog", 'String'>
    readonly role: FieldRef<"ChangeLog", 'UserRole'>
    readonly newValue: FieldRef<"ChangeLog", 'String'>
    readonly oldValue: FieldRef<"ChangeLog", 'String'>
    readonly createdAt: FieldRef<"ChangeLog", 'DateTime'>
    readonly updatedAt: FieldRef<"ChangeLog", 'DateTime'>
  }
    

  // Custom InputTypes
  /**
   * ChangeLog findUnique
   */
  export type ChangeLogFindUniqueArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter, which ChangeLog to fetch.
     */
    where: ChangeLogWhereUniqueInput
  }

  /**
   * ChangeLog findUniqueOrThrow
   */
  export type ChangeLogFindUniqueOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter, which ChangeLog to fetch.
     */
    where: ChangeLogWhereUniqueInput
  }

  /**
   * ChangeLog findFirst
   */
  export type ChangeLogFindFirstArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter, which ChangeLog to fetch.
     */
    where?: ChangeLogWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ChangeLogs to fetch.
     */
    orderBy?: ChangeLogOrderByWithRelationInput | ChangeLogOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for ChangeLogs.
     */
    cursor?: ChangeLogWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ChangeLogs from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ChangeLogs.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of ChangeLogs.
     */
    distinct?: ChangeLogScalarFieldEnum | ChangeLogScalarFieldEnum[]
  }

  /**
   * ChangeLog findFirstOrThrow
   */
  export type ChangeLogFindFirstOrThrowArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter, which ChangeLog to fetch.
     */
    where?: ChangeLogWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ChangeLogs to fetch.
     */
    orderBy?: ChangeLogOrderByWithRelationInput | ChangeLogOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for searching for ChangeLogs.
     */
    cursor?: ChangeLogWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ChangeLogs from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ChangeLogs.
     */
    skip?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/distinct Distinct Docs}
     * 
     * Filter by unique combinations of ChangeLogs.
     */
    distinct?: ChangeLogScalarFieldEnum | ChangeLogScalarFieldEnum[]
  }

  /**
   * ChangeLog findMany
   */
  export type ChangeLogFindManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter, which ChangeLogs to fetch.
     */
    where?: ChangeLogWhereInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/sorting Sorting Docs}
     * 
     * Determine the order of ChangeLogs to fetch.
     */
    orderBy?: ChangeLogOrderByWithRelationInput | ChangeLogOrderByWithRelationInput[]
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination#cursor-based-pagination Cursor Docs}
     * 
     * Sets the position for listing ChangeLogs.
     */
    cursor?: ChangeLogWhereUniqueInput
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Take `±n` ChangeLogs from the position of the cursor.
     */
    take?: number
    /**
     * {@link https://www.prisma.io/docs/concepts/components/prisma-client/pagination Pagination Docs}
     * 
     * Skip the first `n` ChangeLogs.
     */
    skip?: number
    distinct?: ChangeLogScalarFieldEnum | ChangeLogScalarFieldEnum[]
  }

  /**
   * ChangeLog create
   */
  export type ChangeLogCreateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * The data needed to create a ChangeLog.
     */
    data: XOR<ChangeLogCreateInput, ChangeLogUncheckedCreateInput>
  }

  /**
   * ChangeLog createMany
   */
  export type ChangeLogCreateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to create many ChangeLogs.
     */
    data: ChangeLogCreateManyInput | ChangeLogCreateManyInput[]
  }

  /**
   * ChangeLog update
   */
  export type ChangeLogUpdateArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * The data needed to update a ChangeLog.
     */
    data: XOR<ChangeLogUpdateInput, ChangeLogUncheckedUpdateInput>
    /**
     * Choose, which ChangeLog to update.
     */
    where: ChangeLogWhereUniqueInput
  }

  /**
   * ChangeLog updateMany
   */
  export type ChangeLogUpdateManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The data used to update ChangeLogs.
     */
    data: XOR<ChangeLogUpdateManyMutationInput, ChangeLogUncheckedUpdateManyInput>
    /**
     * Filter which ChangeLogs to update
     */
    where?: ChangeLogWhereInput
  }

  /**
   * ChangeLog upsert
   */
  export type ChangeLogUpsertArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * The filter to search for the ChangeLog to update in case it exists.
     */
    where: ChangeLogWhereUniqueInput
    /**
     * In case the ChangeLog found by the `where` argument doesn't exist, create a new ChangeLog with this data.
     */
    create: XOR<ChangeLogCreateInput, ChangeLogUncheckedCreateInput>
    /**
     * In case the ChangeLog was found with the provided `where` argument, update it with this data.
     */
    update: XOR<ChangeLogUpdateInput, ChangeLogUncheckedUpdateInput>
  }

  /**
   * ChangeLog delete
   */
  export type ChangeLogDeleteArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
    /**
     * Filter which ChangeLog to delete.
     */
    where: ChangeLogWhereUniqueInput
  }

  /**
   * ChangeLog deleteMany
   */
  export type ChangeLogDeleteManyArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Filter which ChangeLogs to delete
     */
    where?: ChangeLogWhereInput
  }

  /**
   * ChangeLog findRaw
   */
  export type ChangeLogFindRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * The query predicate filter. If unspecified, then all documents in the collection will match the predicate. ${@link https://docs.mongodb.com/manual/reference/operator/query MongoDB Docs}.
     */
    filter?: InputJsonValue
    /**
     * Additional options to pass to the `find` command ${@link https://docs.mongodb.com/manual/reference/command/find/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * ChangeLog aggregateRaw
   */
  export type ChangeLogAggregateRawArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * An array of aggregation stages to process and transform the document stream via the aggregation pipeline. ${@link https://docs.mongodb.com/manual/reference/operator/aggregation-pipeline MongoDB Docs}.
     */
    pipeline?: InputJsonValue[]
    /**
     * Additional options to pass to the `aggregate` command ${@link https://docs.mongodb.com/manual/reference/command/aggregate/#command-fields MongoDB Docs}.
     */
    options?: InputJsonValue
  }

  /**
   * ChangeLog without action
   */
  export type ChangeLogDefaultArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = {
    /**
     * Select specific fields to fetch from the ChangeLog
     */
    select?: ChangeLogSelect<ExtArgs> | null
  }


  /**
   * Enums
   */

  export const UsersScalarFieldEnum: {
    id: 'id',
    firstName: 'firstName',
    middleName: 'middleName',
    lastName: 'lastName',
    email: 'email',
    username: 'username',
    password: 'password',
    gender: 'gender',
    dob: 'dob',
    role: 'role',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type UsersScalarFieldEnum = (typeof UsersScalarFieldEnum)[keyof typeof UsersScalarFieldEnum]


  export const VerifyEmailScalarFieldEnum: {
    id: 'id',
    UserId: 'UserId',
    email: 'email',
    otp: 'otp',
    isVerify: 'isVerify',
    verifyTime: 'verifyTime',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type VerifyEmailScalarFieldEnum = (typeof VerifyEmailScalarFieldEnum)[keyof typeof VerifyEmailScalarFieldEnum]


  export const ResetPasswordScalarFieldEnum: {
    id: 'id',
    UserId: 'UserId',
    token: 'token',
    isReset: 'isReset',
    resetTime: 'resetTime',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type ResetPasswordScalarFieldEnum = (typeof ResetPasswordScalarFieldEnum)[keyof typeof ResetPasswordScalarFieldEnum]


  export const VerifyPhoneScalarFieldEnum: {
    id: 'id',
    UserId: 'UserId',
    phone: 'phone',
    otp: 'otp',
    isVerify: 'isVerify',
    verifyTime: 'verifyTime',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type VerifyPhoneScalarFieldEnum = (typeof VerifyPhoneScalarFieldEnum)[keyof typeof VerifyPhoneScalarFieldEnum]


  export const DeviceInfoScalarFieldEnum: {
    id: 'id',
    deviceName: 'deviceName',
    refreshToken: 'refreshToken',
    ip: 'ip',
    deviceVersion: 'deviceVersion',
    fcmToken: 'fcmToken',
    lastLogin: 'lastLogin',
    UserId: 'UserId',
    description: 'description',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type DeviceInfoScalarFieldEnum = (typeof DeviceInfoScalarFieldEnum)[keyof typeof DeviceInfoScalarFieldEnum]


  export const ChangeLogScalarFieldEnum: {
    id: 'id',
    module: 'module',
    description: 'description',
    newValues: 'newValues',
    oldValues: 'oldValues',
    userId: 'userId',
    role: 'role',
    newValue: 'newValue',
    oldValue: 'oldValue',
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
  };

  export type ChangeLogScalarFieldEnum = (typeof ChangeLogScalarFieldEnum)[keyof typeof ChangeLogScalarFieldEnum]


  export const SortOrder: {
    asc: 'asc',
    desc: 'desc'
  };

  export type SortOrder = (typeof SortOrder)[keyof typeof SortOrder]


  export const QueryMode: {
    default: 'default',
    insensitive: 'insensitive'
  };

  export type QueryMode = (typeof QueryMode)[keyof typeof QueryMode]


  /**
   * Field references 
   */


  /**
   * Reference to a field of type 'String'
   */
  export type StringFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'String'>
    


  /**
   * Reference to a field of type 'String[]'
   */
  export type ListStringFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'String[]'>
    


  /**
   * Reference to a field of type 'Gender'
   */
  export type EnumGenderFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Gender'>
    


  /**
   * Reference to a field of type 'Gender[]'
   */
  export type ListEnumGenderFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Gender[]'>
    


  /**
   * Reference to a field of type 'DateTime'
   */
  export type DateTimeFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'DateTime'>
    


  /**
   * Reference to a field of type 'DateTime[]'
   */
  export type ListDateTimeFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'DateTime[]'>
    


  /**
   * Reference to a field of type 'UserRole'
   */
  export type EnumUserRoleFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'UserRole'>
    


  /**
   * Reference to a field of type 'UserRole[]'
   */
  export type ListEnumUserRoleFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'UserRole[]'>
    


  /**
   * Reference to a field of type 'Int'
   */
  export type IntFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Int'>
    


  /**
   * Reference to a field of type 'Int[]'
   */
  export type ListIntFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Int[]'>
    


  /**
   * Reference to a field of type 'Boolean'
   */
  export type BooleanFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Boolean'>
    


  /**
   * Reference to a field of type 'Json'
   */
  export type JsonFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Json'>
    


  /**
   * Reference to a field of type 'Float'
   */
  export type FloatFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Float'>
    


  /**
   * Reference to a field of type 'Float[]'
   */
  export type ListFloatFieldRefInput<$PrismaModel> = FieldRefInputType<$PrismaModel, 'Float[]'>
    
  /**
   * Deep Input Types
   */


  export type UsersWhereInput = {
    AND?: UsersWhereInput | UsersWhereInput[]
    OR?: UsersWhereInput[]
    NOT?: UsersWhereInput | UsersWhereInput[]
    id?: StringFilter<"Users"> | string
    firstName?: StringFilter<"Users"> | string
    middleName?: StringNullableFilter<"Users"> | string | null
    lastName?: StringFilter<"Users"> | string
    email?: StringFilter<"Users"> | string
    username?: StringFilter<"Users"> | string
    password?: StringFilter<"Users"> | string
    gender?: EnumGenderFilter<"Users"> | $Enums.Gender
    dob?: DateTimeFilter<"Users"> | Date | string
    role?: EnumUserRoleFilter<"Users"> | $Enums.UserRole
    createdAt?: DateTimeFilter<"Users"> | Date | string
    updatedAt?: DateTimeFilter<"Users"> | Date | string
  }

  export type UsersOrderByWithRelationInput = {
    id?: SortOrder
    firstName?: SortOrder
    middleName?: SortOrder
    lastName?: SortOrder
    email?: SortOrder
    username?: SortOrder
    password?: SortOrder
    gender?: SortOrder
    dob?: SortOrder
    role?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type UsersWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    email?: string
    username?: string
    AND?: UsersWhereInput | UsersWhereInput[]
    OR?: UsersWhereInput[]
    NOT?: UsersWhereInput | UsersWhereInput[]
    firstName?: StringFilter<"Users"> | string
    middleName?: StringNullableFilter<"Users"> | string | null
    lastName?: StringFilter<"Users"> | string
    password?: StringFilter<"Users"> | string
    gender?: EnumGenderFilter<"Users"> | $Enums.Gender
    dob?: DateTimeFilter<"Users"> | Date | string
    role?: EnumUserRoleFilter<"Users"> | $Enums.UserRole
    createdAt?: DateTimeFilter<"Users"> | Date | string
    updatedAt?: DateTimeFilter<"Users"> | Date | string
  }, "id" | "email" | "username">

  export type UsersOrderByWithAggregationInput = {
    id?: SortOrder
    firstName?: SortOrder
    middleName?: SortOrder
    lastName?: SortOrder
    email?: SortOrder
    username?: SortOrder
    password?: SortOrder
    gender?: SortOrder
    dob?: SortOrder
    role?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: UsersCountOrderByAggregateInput
    _max?: UsersMaxOrderByAggregateInput
    _min?: UsersMinOrderByAggregateInput
  }

  export type UsersScalarWhereWithAggregatesInput = {
    AND?: UsersScalarWhereWithAggregatesInput | UsersScalarWhereWithAggregatesInput[]
    OR?: UsersScalarWhereWithAggregatesInput[]
    NOT?: UsersScalarWhereWithAggregatesInput | UsersScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"Users"> | string
    firstName?: StringWithAggregatesFilter<"Users"> | string
    middleName?: StringNullableWithAggregatesFilter<"Users"> | string | null
    lastName?: StringWithAggregatesFilter<"Users"> | string
    email?: StringWithAggregatesFilter<"Users"> | string
    username?: StringWithAggregatesFilter<"Users"> | string
    password?: StringWithAggregatesFilter<"Users"> | string
    gender?: EnumGenderWithAggregatesFilter<"Users"> | $Enums.Gender
    dob?: DateTimeWithAggregatesFilter<"Users"> | Date | string
    role?: EnumUserRoleWithAggregatesFilter<"Users"> | $Enums.UserRole
    createdAt?: DateTimeWithAggregatesFilter<"Users"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"Users"> | Date | string
  }

  export type VerifyEmailWhereInput = {
    AND?: VerifyEmailWhereInput | VerifyEmailWhereInput[]
    OR?: VerifyEmailWhereInput[]
    NOT?: VerifyEmailWhereInput | VerifyEmailWhereInput[]
    id?: StringFilter<"VerifyEmail"> | string
    UserId?: StringFilter<"VerifyEmail"> | string
    email?: StringFilter<"VerifyEmail"> | string
    otp?: IntFilter<"VerifyEmail"> | number
    isVerify?: BoolFilter<"VerifyEmail"> | boolean
    verifyTime?: DateTimeNullableFilter<"VerifyEmail"> | Date | string | null
    createdAt?: DateTimeFilter<"VerifyEmail"> | Date | string
    updatedAt?: DateTimeFilter<"VerifyEmail"> | Date | string
  }

  export type VerifyEmailOrderByWithRelationInput = {
    id?: SortOrder
    UserId?: SortOrder
    email?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyEmailWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    AND?: VerifyEmailWhereInput | VerifyEmailWhereInput[]
    OR?: VerifyEmailWhereInput[]
    NOT?: VerifyEmailWhereInput | VerifyEmailWhereInput[]
    UserId?: StringFilter<"VerifyEmail"> | string
    email?: StringFilter<"VerifyEmail"> | string
    otp?: IntFilter<"VerifyEmail"> | number
    isVerify?: BoolFilter<"VerifyEmail"> | boolean
    verifyTime?: DateTimeNullableFilter<"VerifyEmail"> | Date | string | null
    createdAt?: DateTimeFilter<"VerifyEmail"> | Date | string
    updatedAt?: DateTimeFilter<"VerifyEmail"> | Date | string
  }, "id">

  export type VerifyEmailOrderByWithAggregationInput = {
    id?: SortOrder
    UserId?: SortOrder
    email?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: VerifyEmailCountOrderByAggregateInput
    _avg?: VerifyEmailAvgOrderByAggregateInput
    _max?: VerifyEmailMaxOrderByAggregateInput
    _min?: VerifyEmailMinOrderByAggregateInput
    _sum?: VerifyEmailSumOrderByAggregateInput
  }

  export type VerifyEmailScalarWhereWithAggregatesInput = {
    AND?: VerifyEmailScalarWhereWithAggregatesInput | VerifyEmailScalarWhereWithAggregatesInput[]
    OR?: VerifyEmailScalarWhereWithAggregatesInput[]
    NOT?: VerifyEmailScalarWhereWithAggregatesInput | VerifyEmailScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"VerifyEmail"> | string
    UserId?: StringWithAggregatesFilter<"VerifyEmail"> | string
    email?: StringWithAggregatesFilter<"VerifyEmail"> | string
    otp?: IntWithAggregatesFilter<"VerifyEmail"> | number
    isVerify?: BoolWithAggregatesFilter<"VerifyEmail"> | boolean
    verifyTime?: DateTimeNullableWithAggregatesFilter<"VerifyEmail"> | Date | string | null
    createdAt?: DateTimeWithAggregatesFilter<"VerifyEmail"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"VerifyEmail"> | Date | string
  }

  export type ResetPasswordWhereInput = {
    AND?: ResetPasswordWhereInput | ResetPasswordWhereInput[]
    OR?: ResetPasswordWhereInput[]
    NOT?: ResetPasswordWhereInput | ResetPasswordWhereInput[]
    id?: StringFilter<"ResetPassword"> | string
    UserId?: StringFilter<"ResetPassword"> | string
    token?: StringFilter<"ResetPassword"> | string
    isReset?: BoolFilter<"ResetPassword"> | boolean
    resetTime?: DateTimeNullableFilter<"ResetPassword"> | Date | string | null
    createdAt?: DateTimeFilter<"ResetPassword"> | Date | string
    updatedAt?: DateTimeFilter<"ResetPassword"> | Date | string
  }

  export type ResetPasswordOrderByWithRelationInput = {
    id?: SortOrder
    UserId?: SortOrder
    token?: SortOrder
    isReset?: SortOrder
    resetTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ResetPasswordWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    token?: string
    AND?: ResetPasswordWhereInput | ResetPasswordWhereInput[]
    OR?: ResetPasswordWhereInput[]
    NOT?: ResetPasswordWhereInput | ResetPasswordWhereInput[]
    UserId?: StringFilter<"ResetPassword"> | string
    isReset?: BoolFilter<"ResetPassword"> | boolean
    resetTime?: DateTimeNullableFilter<"ResetPassword"> | Date | string | null
    createdAt?: DateTimeFilter<"ResetPassword"> | Date | string
    updatedAt?: DateTimeFilter<"ResetPassword"> | Date | string
  }, "id" | "token">

  export type ResetPasswordOrderByWithAggregationInput = {
    id?: SortOrder
    UserId?: SortOrder
    token?: SortOrder
    isReset?: SortOrder
    resetTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: ResetPasswordCountOrderByAggregateInput
    _max?: ResetPasswordMaxOrderByAggregateInput
    _min?: ResetPasswordMinOrderByAggregateInput
  }

  export type ResetPasswordScalarWhereWithAggregatesInput = {
    AND?: ResetPasswordScalarWhereWithAggregatesInput | ResetPasswordScalarWhereWithAggregatesInput[]
    OR?: ResetPasswordScalarWhereWithAggregatesInput[]
    NOT?: ResetPasswordScalarWhereWithAggregatesInput | ResetPasswordScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"ResetPassword"> | string
    UserId?: StringWithAggregatesFilter<"ResetPassword"> | string
    token?: StringWithAggregatesFilter<"ResetPassword"> | string
    isReset?: BoolWithAggregatesFilter<"ResetPassword"> | boolean
    resetTime?: DateTimeNullableWithAggregatesFilter<"ResetPassword"> | Date | string | null
    createdAt?: DateTimeWithAggregatesFilter<"ResetPassword"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"ResetPassword"> | Date | string
  }

  export type VerifyPhoneWhereInput = {
    AND?: VerifyPhoneWhereInput | VerifyPhoneWhereInput[]
    OR?: VerifyPhoneWhereInput[]
    NOT?: VerifyPhoneWhereInput | VerifyPhoneWhereInput[]
    id?: StringFilter<"VerifyPhone"> | string
    UserId?: StringFilter<"VerifyPhone"> | string
    phone?: StringFilter<"VerifyPhone"> | string
    otp?: IntFilter<"VerifyPhone"> | number
    isVerify?: BoolFilter<"VerifyPhone"> | boolean
    verifyTime?: DateTimeNullableFilter<"VerifyPhone"> | Date | string | null
    createdAt?: DateTimeFilter<"VerifyPhone"> | Date | string
    updatedAt?: DateTimeFilter<"VerifyPhone"> | Date | string
  }

  export type VerifyPhoneOrderByWithRelationInput = {
    id?: SortOrder
    UserId?: SortOrder
    phone?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyPhoneWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    AND?: VerifyPhoneWhereInput | VerifyPhoneWhereInput[]
    OR?: VerifyPhoneWhereInput[]
    NOT?: VerifyPhoneWhereInput | VerifyPhoneWhereInput[]
    UserId?: StringFilter<"VerifyPhone"> | string
    phone?: StringFilter<"VerifyPhone"> | string
    otp?: IntFilter<"VerifyPhone"> | number
    isVerify?: BoolFilter<"VerifyPhone"> | boolean
    verifyTime?: DateTimeNullableFilter<"VerifyPhone"> | Date | string | null
    createdAt?: DateTimeFilter<"VerifyPhone"> | Date | string
    updatedAt?: DateTimeFilter<"VerifyPhone"> | Date | string
  }, "id">

  export type VerifyPhoneOrderByWithAggregationInput = {
    id?: SortOrder
    UserId?: SortOrder
    phone?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: VerifyPhoneCountOrderByAggregateInput
    _avg?: VerifyPhoneAvgOrderByAggregateInput
    _max?: VerifyPhoneMaxOrderByAggregateInput
    _min?: VerifyPhoneMinOrderByAggregateInput
    _sum?: VerifyPhoneSumOrderByAggregateInput
  }

  export type VerifyPhoneScalarWhereWithAggregatesInput = {
    AND?: VerifyPhoneScalarWhereWithAggregatesInput | VerifyPhoneScalarWhereWithAggregatesInput[]
    OR?: VerifyPhoneScalarWhereWithAggregatesInput[]
    NOT?: VerifyPhoneScalarWhereWithAggregatesInput | VerifyPhoneScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"VerifyPhone"> | string
    UserId?: StringWithAggregatesFilter<"VerifyPhone"> | string
    phone?: StringWithAggregatesFilter<"VerifyPhone"> | string
    otp?: IntWithAggregatesFilter<"VerifyPhone"> | number
    isVerify?: BoolWithAggregatesFilter<"VerifyPhone"> | boolean
    verifyTime?: DateTimeNullableWithAggregatesFilter<"VerifyPhone"> | Date | string | null
    createdAt?: DateTimeWithAggregatesFilter<"VerifyPhone"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"VerifyPhone"> | Date | string
  }

  export type DeviceInfoWhereInput = {
    AND?: DeviceInfoWhereInput | DeviceInfoWhereInput[]
    OR?: DeviceInfoWhereInput[]
    NOT?: DeviceInfoWhereInput | DeviceInfoWhereInput[]
    id?: StringFilter<"DeviceInfo"> | string
    deviceName?: StringNullableFilter<"DeviceInfo"> | string | null
    refreshToken?: StringFilter<"DeviceInfo"> | string
    ip?: StringFilter<"DeviceInfo"> | string
    deviceVersion?: StringNullableFilter<"DeviceInfo"> | string | null
    fcmToken?: StringNullableFilter<"DeviceInfo"> | string | null
    lastLogin?: DateTimeFilter<"DeviceInfo"> | Date | string
    UserId?: StringFilter<"DeviceInfo"> | string
    description?: StringNullableFilter<"DeviceInfo"> | string | null
    createdAt?: DateTimeFilter<"DeviceInfo"> | Date | string
    updatedAt?: DateTimeFilter<"DeviceInfo"> | Date | string
  }

  export type DeviceInfoOrderByWithRelationInput = {
    id?: SortOrder
    deviceName?: SortOrder
    refreshToken?: SortOrder
    ip?: SortOrder
    deviceVersion?: SortOrder
    fcmToken?: SortOrder
    lastLogin?: SortOrder
    UserId?: SortOrder
    description?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type DeviceInfoWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    AND?: DeviceInfoWhereInput | DeviceInfoWhereInput[]
    OR?: DeviceInfoWhereInput[]
    NOT?: DeviceInfoWhereInput | DeviceInfoWhereInput[]
    deviceName?: StringNullableFilter<"DeviceInfo"> | string | null
    refreshToken?: StringFilter<"DeviceInfo"> | string
    ip?: StringFilter<"DeviceInfo"> | string
    deviceVersion?: StringNullableFilter<"DeviceInfo"> | string | null
    fcmToken?: StringNullableFilter<"DeviceInfo"> | string | null
    lastLogin?: DateTimeFilter<"DeviceInfo"> | Date | string
    UserId?: StringFilter<"DeviceInfo"> | string
    description?: StringNullableFilter<"DeviceInfo"> | string | null
    createdAt?: DateTimeFilter<"DeviceInfo"> | Date | string
    updatedAt?: DateTimeFilter<"DeviceInfo"> | Date | string
  }, "id">

  export type DeviceInfoOrderByWithAggregationInput = {
    id?: SortOrder
    deviceName?: SortOrder
    refreshToken?: SortOrder
    ip?: SortOrder
    deviceVersion?: SortOrder
    fcmToken?: SortOrder
    lastLogin?: SortOrder
    UserId?: SortOrder
    description?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: DeviceInfoCountOrderByAggregateInput
    _max?: DeviceInfoMaxOrderByAggregateInput
    _min?: DeviceInfoMinOrderByAggregateInput
  }

  export type DeviceInfoScalarWhereWithAggregatesInput = {
    AND?: DeviceInfoScalarWhereWithAggregatesInput | DeviceInfoScalarWhereWithAggregatesInput[]
    OR?: DeviceInfoScalarWhereWithAggregatesInput[]
    NOT?: DeviceInfoScalarWhereWithAggregatesInput | DeviceInfoScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"DeviceInfo"> | string
    deviceName?: StringNullableWithAggregatesFilter<"DeviceInfo"> | string | null
    refreshToken?: StringWithAggregatesFilter<"DeviceInfo"> | string
    ip?: StringWithAggregatesFilter<"DeviceInfo"> | string
    deviceVersion?: StringNullableWithAggregatesFilter<"DeviceInfo"> | string | null
    fcmToken?: StringNullableWithAggregatesFilter<"DeviceInfo"> | string | null
    lastLogin?: DateTimeWithAggregatesFilter<"DeviceInfo"> | Date | string
    UserId?: StringWithAggregatesFilter<"DeviceInfo"> | string
    description?: StringNullableWithAggregatesFilter<"DeviceInfo"> | string | null
    createdAt?: DateTimeWithAggregatesFilter<"DeviceInfo"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"DeviceInfo"> | Date | string
  }

  export type ChangeLogWhereInput = {
    AND?: ChangeLogWhereInput | ChangeLogWhereInput[]
    OR?: ChangeLogWhereInput[]
    NOT?: ChangeLogWhereInput | ChangeLogWhereInput[]
    id?: StringFilter<"ChangeLog"> | string
    module?: StringFilter<"ChangeLog"> | string
    description?: StringFilter<"ChangeLog"> | string
    newValues?: JsonFilter<"ChangeLog">
    oldValues?: JsonFilter<"ChangeLog">
    userId?: StringFilter<"ChangeLog"> | string
    role?: EnumUserRoleFilter<"ChangeLog"> | $Enums.UserRole
    newValue?: StringNullableFilter<"ChangeLog"> | string | null
    oldValue?: StringNullableFilter<"ChangeLog"> | string | null
    createdAt?: DateTimeFilter<"ChangeLog"> | Date | string
    updatedAt?: DateTimeFilter<"ChangeLog"> | Date | string
  }

  export type ChangeLogOrderByWithRelationInput = {
    id?: SortOrder
    module?: SortOrder
    description?: SortOrder
    newValues?: SortOrder
    oldValues?: SortOrder
    userId?: SortOrder
    role?: SortOrder
    newValue?: SortOrder
    oldValue?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ChangeLogWhereUniqueInput = Prisma.AtLeast<{
    id?: string
    AND?: ChangeLogWhereInput | ChangeLogWhereInput[]
    OR?: ChangeLogWhereInput[]
    NOT?: ChangeLogWhereInput | ChangeLogWhereInput[]
    module?: StringFilter<"ChangeLog"> | string
    description?: StringFilter<"ChangeLog"> | string
    newValues?: JsonFilter<"ChangeLog">
    oldValues?: JsonFilter<"ChangeLog">
    userId?: StringFilter<"ChangeLog"> | string
    role?: EnumUserRoleFilter<"ChangeLog"> | $Enums.UserRole
    newValue?: StringNullableFilter<"ChangeLog"> | string | null
    oldValue?: StringNullableFilter<"ChangeLog"> | string | null
    createdAt?: DateTimeFilter<"ChangeLog"> | Date | string
    updatedAt?: DateTimeFilter<"ChangeLog"> | Date | string
  }, "id">

  export type ChangeLogOrderByWithAggregationInput = {
    id?: SortOrder
    module?: SortOrder
    description?: SortOrder
    newValues?: SortOrder
    oldValues?: SortOrder
    userId?: SortOrder
    role?: SortOrder
    newValue?: SortOrder
    oldValue?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
    _count?: ChangeLogCountOrderByAggregateInput
    _max?: ChangeLogMaxOrderByAggregateInput
    _min?: ChangeLogMinOrderByAggregateInput
  }

  export type ChangeLogScalarWhereWithAggregatesInput = {
    AND?: ChangeLogScalarWhereWithAggregatesInput | ChangeLogScalarWhereWithAggregatesInput[]
    OR?: ChangeLogScalarWhereWithAggregatesInput[]
    NOT?: ChangeLogScalarWhereWithAggregatesInput | ChangeLogScalarWhereWithAggregatesInput[]
    id?: StringWithAggregatesFilter<"ChangeLog"> | string
    module?: StringWithAggregatesFilter<"ChangeLog"> | string
    description?: StringWithAggregatesFilter<"ChangeLog"> | string
    newValues?: JsonWithAggregatesFilter<"ChangeLog">
    oldValues?: JsonWithAggregatesFilter<"ChangeLog">
    userId?: StringWithAggregatesFilter<"ChangeLog"> | string
    role?: EnumUserRoleWithAggregatesFilter<"ChangeLog"> | $Enums.UserRole
    newValue?: StringNullableWithAggregatesFilter<"ChangeLog"> | string | null
    oldValue?: StringNullableWithAggregatesFilter<"ChangeLog"> | string | null
    createdAt?: DateTimeWithAggregatesFilter<"ChangeLog"> | Date | string
    updatedAt?: DateTimeWithAggregatesFilter<"ChangeLog"> | Date | string
  }

  export type UsersCreateInput = {
    id?: string
    firstName: string
    middleName?: string | null
    lastName: string
    email: string
    username: string
    password: string
    gender: $Enums.Gender
    dob: Date | string
    role?: $Enums.UserRole
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type UsersUncheckedCreateInput = {
    id?: string
    firstName: string
    middleName?: string | null
    lastName: string
    email: string
    username: string
    password: string
    gender: $Enums.Gender
    dob: Date | string
    role?: $Enums.UserRole
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type UsersUpdateInput = {
    firstName?: StringFieldUpdateOperationsInput | string
    middleName?: NullableStringFieldUpdateOperationsInput | string | null
    lastName?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    username?: StringFieldUpdateOperationsInput | string
    password?: StringFieldUpdateOperationsInput | string
    gender?: EnumGenderFieldUpdateOperationsInput | $Enums.Gender
    dob?: DateTimeFieldUpdateOperationsInput | Date | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type UsersUncheckedUpdateInput = {
    firstName?: StringFieldUpdateOperationsInput | string
    middleName?: NullableStringFieldUpdateOperationsInput | string | null
    lastName?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    username?: StringFieldUpdateOperationsInput | string
    password?: StringFieldUpdateOperationsInput | string
    gender?: EnumGenderFieldUpdateOperationsInput | $Enums.Gender
    dob?: DateTimeFieldUpdateOperationsInput | Date | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type UsersCreateManyInput = {
    id?: string
    firstName: string
    middleName?: string | null
    lastName: string
    email: string
    username: string
    password: string
    gender: $Enums.Gender
    dob: Date | string
    role?: $Enums.UserRole
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type UsersUpdateManyMutationInput = {
    firstName?: StringFieldUpdateOperationsInput | string
    middleName?: NullableStringFieldUpdateOperationsInput | string | null
    lastName?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    username?: StringFieldUpdateOperationsInput | string
    password?: StringFieldUpdateOperationsInput | string
    gender?: EnumGenderFieldUpdateOperationsInput | $Enums.Gender
    dob?: DateTimeFieldUpdateOperationsInput | Date | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type UsersUncheckedUpdateManyInput = {
    firstName?: StringFieldUpdateOperationsInput | string
    middleName?: NullableStringFieldUpdateOperationsInput | string | null
    lastName?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    username?: StringFieldUpdateOperationsInput | string
    password?: StringFieldUpdateOperationsInput | string
    gender?: EnumGenderFieldUpdateOperationsInput | $Enums.Gender
    dob?: DateTimeFieldUpdateOperationsInput | Date | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyEmailCreateInput = {
    id?: string
    UserId: string
    email: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyEmailUncheckedCreateInput = {
    id?: string
    UserId: string
    email: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyEmailUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyEmailUncheckedUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyEmailCreateManyInput = {
    id?: string
    UserId: string
    email: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyEmailUpdateManyMutationInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyEmailUncheckedUpdateManyInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    email?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ResetPasswordCreateInput = {
    id?: string
    UserId: string
    token: string
    isReset?: boolean
    resetTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ResetPasswordUncheckedCreateInput = {
    id?: string
    UserId: string
    token: string
    isReset?: boolean
    resetTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ResetPasswordUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    token?: StringFieldUpdateOperationsInput | string
    isReset?: BoolFieldUpdateOperationsInput | boolean
    resetTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ResetPasswordUncheckedUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    token?: StringFieldUpdateOperationsInput | string
    isReset?: BoolFieldUpdateOperationsInput | boolean
    resetTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ResetPasswordCreateManyInput = {
    id?: string
    UserId: string
    token: string
    isReset?: boolean
    resetTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ResetPasswordUpdateManyMutationInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    token?: StringFieldUpdateOperationsInput | string
    isReset?: BoolFieldUpdateOperationsInput | boolean
    resetTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ResetPasswordUncheckedUpdateManyInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    token?: StringFieldUpdateOperationsInput | string
    isReset?: BoolFieldUpdateOperationsInput | boolean
    resetTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyPhoneCreateInput = {
    id?: string
    UserId: string
    phone: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyPhoneUncheckedCreateInput = {
    id?: string
    UserId: string
    phone: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyPhoneUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    phone?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyPhoneUncheckedUpdateInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    phone?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyPhoneCreateManyInput = {
    id?: string
    UserId: string
    phone: string
    otp: number
    isVerify?: boolean
    verifyTime?: Date | string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type VerifyPhoneUpdateManyMutationInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    phone?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type VerifyPhoneUncheckedUpdateManyInput = {
    UserId?: StringFieldUpdateOperationsInput | string
    phone?: StringFieldUpdateOperationsInput | string
    otp?: IntFieldUpdateOperationsInput | number
    isVerify?: BoolFieldUpdateOperationsInput | boolean
    verifyTime?: NullableDateTimeFieldUpdateOperationsInput | Date | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type DeviceInfoCreateInput = {
    id?: string
    deviceName?: string | null
    refreshToken: string
    ip: string
    deviceVersion?: string | null
    fcmToken?: string | null
    lastLogin?: Date | string
    UserId: string
    description?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type DeviceInfoUncheckedCreateInput = {
    id?: string
    deviceName?: string | null
    refreshToken: string
    ip: string
    deviceVersion?: string | null
    fcmToken?: string | null
    lastLogin?: Date | string
    UserId: string
    description?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type DeviceInfoUpdateInput = {
    deviceName?: NullableStringFieldUpdateOperationsInput | string | null
    refreshToken?: StringFieldUpdateOperationsInput | string
    ip?: StringFieldUpdateOperationsInput | string
    deviceVersion?: NullableStringFieldUpdateOperationsInput | string | null
    fcmToken?: NullableStringFieldUpdateOperationsInput | string | null
    lastLogin?: DateTimeFieldUpdateOperationsInput | Date | string
    UserId?: StringFieldUpdateOperationsInput | string
    description?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type DeviceInfoUncheckedUpdateInput = {
    deviceName?: NullableStringFieldUpdateOperationsInput | string | null
    refreshToken?: StringFieldUpdateOperationsInput | string
    ip?: StringFieldUpdateOperationsInput | string
    deviceVersion?: NullableStringFieldUpdateOperationsInput | string | null
    fcmToken?: NullableStringFieldUpdateOperationsInput | string | null
    lastLogin?: DateTimeFieldUpdateOperationsInput | Date | string
    UserId?: StringFieldUpdateOperationsInput | string
    description?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type DeviceInfoCreateManyInput = {
    id?: string
    deviceName?: string | null
    refreshToken: string
    ip: string
    deviceVersion?: string | null
    fcmToken?: string | null
    lastLogin?: Date | string
    UserId: string
    description?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type DeviceInfoUpdateManyMutationInput = {
    deviceName?: NullableStringFieldUpdateOperationsInput | string | null
    refreshToken?: StringFieldUpdateOperationsInput | string
    ip?: StringFieldUpdateOperationsInput | string
    deviceVersion?: NullableStringFieldUpdateOperationsInput | string | null
    fcmToken?: NullableStringFieldUpdateOperationsInput | string | null
    lastLogin?: DateTimeFieldUpdateOperationsInput | Date | string
    UserId?: StringFieldUpdateOperationsInput | string
    description?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type DeviceInfoUncheckedUpdateManyInput = {
    deviceName?: NullableStringFieldUpdateOperationsInput | string | null
    refreshToken?: StringFieldUpdateOperationsInput | string
    ip?: StringFieldUpdateOperationsInput | string
    deviceVersion?: NullableStringFieldUpdateOperationsInput | string | null
    fcmToken?: NullableStringFieldUpdateOperationsInput | string | null
    lastLogin?: DateTimeFieldUpdateOperationsInput | Date | string
    UserId?: StringFieldUpdateOperationsInput | string
    description?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ChangeLogCreateInput = {
    id?: string
    module: string
    description: string
    newValues: InputJsonValue
    oldValues: InputJsonValue
    userId: string
    role?: $Enums.UserRole
    newValue?: string | null
    oldValue?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ChangeLogUncheckedCreateInput = {
    id?: string
    module: string
    description: string
    newValues: InputJsonValue
    oldValues: InputJsonValue
    userId: string
    role?: $Enums.UserRole
    newValue?: string | null
    oldValue?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ChangeLogUpdateInput = {
    module?: StringFieldUpdateOperationsInput | string
    description?: StringFieldUpdateOperationsInput | string
    newValues?: InputJsonValue | InputJsonValue
    oldValues?: InputJsonValue | InputJsonValue
    userId?: StringFieldUpdateOperationsInput | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    newValue?: NullableStringFieldUpdateOperationsInput | string | null
    oldValue?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ChangeLogUncheckedUpdateInput = {
    module?: StringFieldUpdateOperationsInput | string
    description?: StringFieldUpdateOperationsInput | string
    newValues?: InputJsonValue | InputJsonValue
    oldValues?: InputJsonValue | InputJsonValue
    userId?: StringFieldUpdateOperationsInput | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    newValue?: NullableStringFieldUpdateOperationsInput | string | null
    oldValue?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ChangeLogCreateManyInput = {
    id?: string
    module: string
    description: string
    newValues: InputJsonValue
    oldValues: InputJsonValue
    userId: string
    role?: $Enums.UserRole
    newValue?: string | null
    oldValue?: string | null
    createdAt?: Date | string
    updatedAt?: Date | string
  }

  export type ChangeLogUpdateManyMutationInput = {
    module?: StringFieldUpdateOperationsInput | string
    description?: StringFieldUpdateOperationsInput | string
    newValues?: InputJsonValue | InputJsonValue
    oldValues?: InputJsonValue | InputJsonValue
    userId?: StringFieldUpdateOperationsInput | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    newValue?: NullableStringFieldUpdateOperationsInput | string | null
    oldValue?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type ChangeLogUncheckedUpdateManyInput = {
    module?: StringFieldUpdateOperationsInput | string
    description?: StringFieldUpdateOperationsInput | string
    newValues?: InputJsonValue | InputJsonValue
    oldValues?: InputJsonValue | InputJsonValue
    userId?: StringFieldUpdateOperationsInput | string
    role?: EnumUserRoleFieldUpdateOperationsInput | $Enums.UserRole
    newValue?: NullableStringFieldUpdateOperationsInput | string | null
    oldValue?: NullableStringFieldUpdateOperationsInput | string | null
    createdAt?: DateTimeFieldUpdateOperationsInput | Date | string
    updatedAt?: DateTimeFieldUpdateOperationsInput | Date | string
  }

  export type StringFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel>
    in?: string[] | ListStringFieldRefInput<$PrismaModel>
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel>
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    mode?: QueryMode
    not?: NestedStringFilter<$PrismaModel> | string
  }

  export type StringNullableFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel> | null
    in?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    mode?: QueryMode
    not?: NestedStringNullableFilter<$PrismaModel> | string | null
    isSet?: boolean
  }

  export type EnumGenderFilter<$PrismaModel = never> = {
    equals?: $Enums.Gender | EnumGenderFieldRefInput<$PrismaModel>
    in?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    notIn?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    not?: NestedEnumGenderFilter<$PrismaModel> | $Enums.Gender
  }

  export type DateTimeFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeFilter<$PrismaModel> | Date | string
  }

  export type EnumUserRoleFilter<$PrismaModel = never> = {
    equals?: $Enums.UserRole | EnumUserRoleFieldRefInput<$PrismaModel>
    in?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    notIn?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    not?: NestedEnumUserRoleFilter<$PrismaModel> | $Enums.UserRole
  }

  export type UsersCountOrderByAggregateInput = {
    id?: SortOrder
    firstName?: SortOrder
    middleName?: SortOrder
    lastName?: SortOrder
    email?: SortOrder
    username?: SortOrder
    password?: SortOrder
    gender?: SortOrder
    dob?: SortOrder
    role?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type UsersMaxOrderByAggregateInput = {
    id?: SortOrder
    firstName?: SortOrder
    middleName?: SortOrder
    lastName?: SortOrder
    email?: SortOrder
    username?: SortOrder
    password?: SortOrder
    gender?: SortOrder
    dob?: SortOrder
    role?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type UsersMinOrderByAggregateInput = {
    id?: SortOrder
    firstName?: SortOrder
    middleName?: SortOrder
    lastName?: SortOrder
    email?: SortOrder
    username?: SortOrder
    password?: SortOrder
    gender?: SortOrder
    dob?: SortOrder
    role?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type StringWithAggregatesFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel>
    in?: string[] | ListStringFieldRefInput<$PrismaModel>
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel>
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    mode?: QueryMode
    not?: NestedStringWithAggregatesFilter<$PrismaModel> | string
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedStringFilter<$PrismaModel>
    _max?: NestedStringFilter<$PrismaModel>
  }

  export type StringNullableWithAggregatesFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel> | null
    in?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    mode?: QueryMode
    not?: NestedStringNullableWithAggregatesFilter<$PrismaModel> | string | null
    _count?: NestedIntNullableFilter<$PrismaModel>
    _min?: NestedStringNullableFilter<$PrismaModel>
    _max?: NestedStringNullableFilter<$PrismaModel>
    isSet?: boolean
  }

  export type EnumGenderWithAggregatesFilter<$PrismaModel = never> = {
    equals?: $Enums.Gender | EnumGenderFieldRefInput<$PrismaModel>
    in?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    notIn?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    not?: NestedEnumGenderWithAggregatesFilter<$PrismaModel> | $Enums.Gender
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedEnumGenderFilter<$PrismaModel>
    _max?: NestedEnumGenderFilter<$PrismaModel>
  }

  export type DateTimeWithAggregatesFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeWithAggregatesFilter<$PrismaModel> | Date | string
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedDateTimeFilter<$PrismaModel>
    _max?: NestedDateTimeFilter<$PrismaModel>
  }

  export type EnumUserRoleWithAggregatesFilter<$PrismaModel = never> = {
    equals?: $Enums.UserRole | EnumUserRoleFieldRefInput<$PrismaModel>
    in?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    notIn?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    not?: NestedEnumUserRoleWithAggregatesFilter<$PrismaModel> | $Enums.UserRole
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedEnumUserRoleFilter<$PrismaModel>
    _max?: NestedEnumUserRoleFilter<$PrismaModel>
  }

  export type IntFilter<$PrismaModel = never> = {
    equals?: number | IntFieldRefInput<$PrismaModel>
    in?: number[] | ListIntFieldRefInput<$PrismaModel>
    notIn?: number[] | ListIntFieldRefInput<$PrismaModel>
    lt?: number | IntFieldRefInput<$PrismaModel>
    lte?: number | IntFieldRefInput<$PrismaModel>
    gt?: number | IntFieldRefInput<$PrismaModel>
    gte?: number | IntFieldRefInput<$PrismaModel>
    not?: NestedIntFilter<$PrismaModel> | number
  }

  export type BoolFilter<$PrismaModel = never> = {
    equals?: boolean | BooleanFieldRefInput<$PrismaModel>
    not?: NestedBoolFilter<$PrismaModel> | boolean
  }

  export type DateTimeNullableFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel> | null
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeNullableFilter<$PrismaModel> | Date | string | null
    isSet?: boolean
  }

  export type VerifyEmailCountOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    email?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyEmailAvgOrderByAggregateInput = {
    otp?: SortOrder
  }

  export type VerifyEmailMaxOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    email?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyEmailMinOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    email?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyEmailSumOrderByAggregateInput = {
    otp?: SortOrder
  }

  export type IntWithAggregatesFilter<$PrismaModel = never> = {
    equals?: number | IntFieldRefInput<$PrismaModel>
    in?: number[] | ListIntFieldRefInput<$PrismaModel>
    notIn?: number[] | ListIntFieldRefInput<$PrismaModel>
    lt?: number | IntFieldRefInput<$PrismaModel>
    lte?: number | IntFieldRefInput<$PrismaModel>
    gt?: number | IntFieldRefInput<$PrismaModel>
    gte?: number | IntFieldRefInput<$PrismaModel>
    not?: NestedIntWithAggregatesFilter<$PrismaModel> | number
    _count?: NestedIntFilter<$PrismaModel>
    _avg?: NestedFloatFilter<$PrismaModel>
    _sum?: NestedIntFilter<$PrismaModel>
    _min?: NestedIntFilter<$PrismaModel>
    _max?: NestedIntFilter<$PrismaModel>
  }

  export type BoolWithAggregatesFilter<$PrismaModel = never> = {
    equals?: boolean | BooleanFieldRefInput<$PrismaModel>
    not?: NestedBoolWithAggregatesFilter<$PrismaModel> | boolean
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedBoolFilter<$PrismaModel>
    _max?: NestedBoolFilter<$PrismaModel>
  }

  export type DateTimeNullableWithAggregatesFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel> | null
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeNullableWithAggregatesFilter<$PrismaModel> | Date | string | null
    _count?: NestedIntNullableFilter<$PrismaModel>
    _min?: NestedDateTimeNullableFilter<$PrismaModel>
    _max?: NestedDateTimeNullableFilter<$PrismaModel>
    isSet?: boolean
  }

  export type ResetPasswordCountOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    token?: SortOrder
    isReset?: SortOrder
    resetTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ResetPasswordMaxOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    token?: SortOrder
    isReset?: SortOrder
    resetTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ResetPasswordMinOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    token?: SortOrder
    isReset?: SortOrder
    resetTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyPhoneCountOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    phone?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyPhoneAvgOrderByAggregateInput = {
    otp?: SortOrder
  }

  export type VerifyPhoneMaxOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    phone?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyPhoneMinOrderByAggregateInput = {
    id?: SortOrder
    UserId?: SortOrder
    phone?: SortOrder
    otp?: SortOrder
    isVerify?: SortOrder
    verifyTime?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type VerifyPhoneSumOrderByAggregateInput = {
    otp?: SortOrder
  }

  export type DeviceInfoCountOrderByAggregateInput = {
    id?: SortOrder
    deviceName?: SortOrder
    refreshToken?: SortOrder
    ip?: SortOrder
    deviceVersion?: SortOrder
    fcmToken?: SortOrder
    lastLogin?: SortOrder
    UserId?: SortOrder
    description?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type DeviceInfoMaxOrderByAggregateInput = {
    id?: SortOrder
    deviceName?: SortOrder
    refreshToken?: SortOrder
    ip?: SortOrder
    deviceVersion?: SortOrder
    fcmToken?: SortOrder
    lastLogin?: SortOrder
    UserId?: SortOrder
    description?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type DeviceInfoMinOrderByAggregateInput = {
    id?: SortOrder
    deviceName?: SortOrder
    refreshToken?: SortOrder
    ip?: SortOrder
    deviceVersion?: SortOrder
    fcmToken?: SortOrder
    lastLogin?: SortOrder
    UserId?: SortOrder
    description?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }
  export type JsonFilter<$PrismaModel = never> = 
    | PatchUndefined<
        Either<Required<JsonFilterBase<$PrismaModel>>, Exclude<keyof Required<JsonFilterBase<$PrismaModel>>, 'path'>>,
        Required<JsonFilterBase<$PrismaModel>>
      >
    | OptionalFlat<Omit<Required<JsonFilterBase<$PrismaModel>>, 'path'>>

  export type JsonFilterBase<$PrismaModel = never> = {
    equals?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
    not?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
  }

  export type ChangeLogCountOrderByAggregateInput = {
    id?: SortOrder
    module?: SortOrder
    description?: SortOrder
    newValues?: SortOrder
    oldValues?: SortOrder
    userId?: SortOrder
    role?: SortOrder
    newValue?: SortOrder
    oldValue?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ChangeLogMaxOrderByAggregateInput = {
    id?: SortOrder
    module?: SortOrder
    description?: SortOrder
    userId?: SortOrder
    role?: SortOrder
    newValue?: SortOrder
    oldValue?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }

  export type ChangeLogMinOrderByAggregateInput = {
    id?: SortOrder
    module?: SortOrder
    description?: SortOrder
    userId?: SortOrder
    role?: SortOrder
    newValue?: SortOrder
    oldValue?: SortOrder
    createdAt?: SortOrder
    updatedAt?: SortOrder
  }
  export type JsonWithAggregatesFilter<$PrismaModel = never> = 
    | PatchUndefined<
        Either<Required<JsonWithAggregatesFilterBase<$PrismaModel>>, Exclude<keyof Required<JsonWithAggregatesFilterBase<$PrismaModel>>, 'path'>>,
        Required<JsonWithAggregatesFilterBase<$PrismaModel>>
      >
    | OptionalFlat<Omit<Required<JsonWithAggregatesFilterBase<$PrismaModel>>, 'path'>>

  export type JsonWithAggregatesFilterBase<$PrismaModel = never> = {
    equals?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
    not?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedJsonFilter<$PrismaModel>
    _max?: NestedJsonFilter<$PrismaModel>
  }

  export type StringFieldUpdateOperationsInput = {
    set?: string
  }

  export type NullableStringFieldUpdateOperationsInput = {
    set?: string | null
    unset?: boolean
  }

  export type EnumGenderFieldUpdateOperationsInput = {
    set?: $Enums.Gender
  }

  export type DateTimeFieldUpdateOperationsInput = {
    set?: Date | string
  }

  export type EnumUserRoleFieldUpdateOperationsInput = {
    set?: $Enums.UserRole
  }

  export type IntFieldUpdateOperationsInput = {
    set?: number
    increment?: number
    decrement?: number
    multiply?: number
    divide?: number
  }

  export type BoolFieldUpdateOperationsInput = {
    set?: boolean
  }

  export type NullableDateTimeFieldUpdateOperationsInput = {
    set?: Date | string | null
    unset?: boolean
  }

  export type NestedStringFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel>
    in?: string[] | ListStringFieldRefInput<$PrismaModel>
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel>
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    not?: NestedStringFilter<$PrismaModel> | string
  }

  export type NestedStringNullableFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel> | null
    in?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    not?: NestedStringNullableFilter<$PrismaModel> | string | null
    isSet?: boolean
  }

  export type NestedEnumGenderFilter<$PrismaModel = never> = {
    equals?: $Enums.Gender | EnumGenderFieldRefInput<$PrismaModel>
    in?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    notIn?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    not?: NestedEnumGenderFilter<$PrismaModel> | $Enums.Gender
  }

  export type NestedDateTimeFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeFilter<$PrismaModel> | Date | string
  }

  export type NestedEnumUserRoleFilter<$PrismaModel = never> = {
    equals?: $Enums.UserRole | EnumUserRoleFieldRefInput<$PrismaModel>
    in?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    notIn?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    not?: NestedEnumUserRoleFilter<$PrismaModel> | $Enums.UserRole
  }

  export type NestedStringWithAggregatesFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel>
    in?: string[] | ListStringFieldRefInput<$PrismaModel>
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel>
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    not?: NestedStringWithAggregatesFilter<$PrismaModel> | string
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedStringFilter<$PrismaModel>
    _max?: NestedStringFilter<$PrismaModel>
  }

  export type NestedIntFilter<$PrismaModel = never> = {
    equals?: number | IntFieldRefInput<$PrismaModel>
    in?: number[] | ListIntFieldRefInput<$PrismaModel>
    notIn?: number[] | ListIntFieldRefInput<$PrismaModel>
    lt?: number | IntFieldRefInput<$PrismaModel>
    lte?: number | IntFieldRefInput<$PrismaModel>
    gt?: number | IntFieldRefInput<$PrismaModel>
    gte?: number | IntFieldRefInput<$PrismaModel>
    not?: NestedIntFilter<$PrismaModel> | number
  }

  export type NestedStringNullableWithAggregatesFilter<$PrismaModel = never> = {
    equals?: string | StringFieldRefInput<$PrismaModel> | null
    in?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    notIn?: string[] | ListStringFieldRefInput<$PrismaModel> | null
    lt?: string | StringFieldRefInput<$PrismaModel>
    lte?: string | StringFieldRefInput<$PrismaModel>
    gt?: string | StringFieldRefInput<$PrismaModel>
    gte?: string | StringFieldRefInput<$PrismaModel>
    contains?: string | StringFieldRefInput<$PrismaModel>
    startsWith?: string | StringFieldRefInput<$PrismaModel>
    endsWith?: string | StringFieldRefInput<$PrismaModel>
    not?: NestedStringNullableWithAggregatesFilter<$PrismaModel> | string | null
    _count?: NestedIntNullableFilter<$PrismaModel>
    _min?: NestedStringNullableFilter<$PrismaModel>
    _max?: NestedStringNullableFilter<$PrismaModel>
    isSet?: boolean
  }

  export type NestedIntNullableFilter<$PrismaModel = never> = {
    equals?: number | IntFieldRefInput<$PrismaModel> | null
    in?: number[] | ListIntFieldRefInput<$PrismaModel> | null
    notIn?: number[] | ListIntFieldRefInput<$PrismaModel> | null
    lt?: number | IntFieldRefInput<$PrismaModel>
    lte?: number | IntFieldRefInput<$PrismaModel>
    gt?: number | IntFieldRefInput<$PrismaModel>
    gte?: number | IntFieldRefInput<$PrismaModel>
    not?: NestedIntNullableFilter<$PrismaModel> | number | null
    isSet?: boolean
  }

  export type NestedEnumGenderWithAggregatesFilter<$PrismaModel = never> = {
    equals?: $Enums.Gender | EnumGenderFieldRefInput<$PrismaModel>
    in?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    notIn?: $Enums.Gender[] | ListEnumGenderFieldRefInput<$PrismaModel>
    not?: NestedEnumGenderWithAggregatesFilter<$PrismaModel> | $Enums.Gender
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedEnumGenderFilter<$PrismaModel>
    _max?: NestedEnumGenderFilter<$PrismaModel>
  }

  export type NestedDateTimeWithAggregatesFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel>
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeWithAggregatesFilter<$PrismaModel> | Date | string
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedDateTimeFilter<$PrismaModel>
    _max?: NestedDateTimeFilter<$PrismaModel>
  }

  export type NestedEnumUserRoleWithAggregatesFilter<$PrismaModel = never> = {
    equals?: $Enums.UserRole | EnumUserRoleFieldRefInput<$PrismaModel>
    in?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    notIn?: $Enums.UserRole[] | ListEnumUserRoleFieldRefInput<$PrismaModel>
    not?: NestedEnumUserRoleWithAggregatesFilter<$PrismaModel> | $Enums.UserRole
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedEnumUserRoleFilter<$PrismaModel>
    _max?: NestedEnumUserRoleFilter<$PrismaModel>
  }

  export type NestedBoolFilter<$PrismaModel = never> = {
    equals?: boolean | BooleanFieldRefInput<$PrismaModel>
    not?: NestedBoolFilter<$PrismaModel> | boolean
  }

  export type NestedDateTimeNullableFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel> | null
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeNullableFilter<$PrismaModel> | Date | string | null
    isSet?: boolean
  }

  export type NestedIntWithAggregatesFilter<$PrismaModel = never> = {
    equals?: number | IntFieldRefInput<$PrismaModel>
    in?: number[] | ListIntFieldRefInput<$PrismaModel>
    notIn?: number[] | ListIntFieldRefInput<$PrismaModel>
    lt?: number | IntFieldRefInput<$PrismaModel>
    lte?: number | IntFieldRefInput<$PrismaModel>
    gt?: number | IntFieldRefInput<$PrismaModel>
    gte?: number | IntFieldRefInput<$PrismaModel>
    not?: NestedIntWithAggregatesFilter<$PrismaModel> | number
    _count?: NestedIntFilter<$PrismaModel>
    _avg?: NestedFloatFilter<$PrismaModel>
    _sum?: NestedIntFilter<$PrismaModel>
    _min?: NestedIntFilter<$PrismaModel>
    _max?: NestedIntFilter<$PrismaModel>
  }

  export type NestedFloatFilter<$PrismaModel = never> = {
    equals?: number | FloatFieldRefInput<$PrismaModel>
    in?: number[] | ListFloatFieldRefInput<$PrismaModel>
    notIn?: number[] | ListFloatFieldRefInput<$PrismaModel>
    lt?: number | FloatFieldRefInput<$PrismaModel>
    lte?: number | FloatFieldRefInput<$PrismaModel>
    gt?: number | FloatFieldRefInput<$PrismaModel>
    gte?: number | FloatFieldRefInput<$PrismaModel>
    not?: NestedFloatFilter<$PrismaModel> | number
  }

  export type NestedBoolWithAggregatesFilter<$PrismaModel = never> = {
    equals?: boolean | BooleanFieldRefInput<$PrismaModel>
    not?: NestedBoolWithAggregatesFilter<$PrismaModel> | boolean
    _count?: NestedIntFilter<$PrismaModel>
    _min?: NestedBoolFilter<$PrismaModel>
    _max?: NestedBoolFilter<$PrismaModel>
  }

  export type NestedDateTimeNullableWithAggregatesFilter<$PrismaModel = never> = {
    equals?: Date | string | DateTimeFieldRefInput<$PrismaModel> | null
    in?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    notIn?: Date[] | string[] | ListDateTimeFieldRefInput<$PrismaModel> | null
    lt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    lte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gt?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    gte?: Date | string | DateTimeFieldRefInput<$PrismaModel>
    not?: NestedDateTimeNullableWithAggregatesFilter<$PrismaModel> | Date | string | null
    _count?: NestedIntNullableFilter<$PrismaModel>
    _min?: NestedDateTimeNullableFilter<$PrismaModel>
    _max?: NestedDateTimeNullableFilter<$PrismaModel>
    isSet?: boolean
  }
  export type NestedJsonFilter<$PrismaModel = never> = 
    | PatchUndefined<
        Either<Required<NestedJsonFilterBase<$PrismaModel>>, Exclude<keyof Required<NestedJsonFilterBase<$PrismaModel>>, 'path'>>,
        Required<NestedJsonFilterBase<$PrismaModel>>
      >
    | OptionalFlat<Omit<Required<NestedJsonFilterBase<$PrismaModel>>, 'path'>>

  export type NestedJsonFilterBase<$PrismaModel = never> = {
    equals?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
    not?: InputJsonValue | JsonFieldRefInput<$PrismaModel>
  }



  /**
   * Aliases for legacy arg types
   */
    /**
     * @deprecated Use UsersDefaultArgs instead
     */
    export type UsersArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = UsersDefaultArgs<ExtArgs>
    /**
     * @deprecated Use VerifyEmailDefaultArgs instead
     */
    export type VerifyEmailArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = VerifyEmailDefaultArgs<ExtArgs>
    /**
     * @deprecated Use ResetPasswordDefaultArgs instead
     */
    export type ResetPasswordArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = ResetPasswordDefaultArgs<ExtArgs>
    /**
     * @deprecated Use VerifyPhoneDefaultArgs instead
     */
    export type VerifyPhoneArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = VerifyPhoneDefaultArgs<ExtArgs>
    /**
     * @deprecated Use DeviceInfoDefaultArgs instead
     */
    export type DeviceInfoArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = DeviceInfoDefaultArgs<ExtArgs>
    /**
     * @deprecated Use ChangeLogDefaultArgs instead
     */
    export type ChangeLogArgs<ExtArgs extends $Extensions.InternalArgs = $Extensions.DefaultArgs> = ChangeLogDefaultArgs<ExtArgs>

  /**
   * Batch Payload for updateMany & deleteMany & createMany
   */

  export type BatchPayload = {
    count: number
  }

  /**
   * DMMF
   */
  export const dmmf: runtime.BaseDMMF
}